"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EC2 = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const AcceptAddressTransferCommand_1 = require("./commands/AcceptAddressTransferCommand");
const AcceptReservedInstancesExchangeQuoteCommand_1 = require("./commands/AcceptReservedInstancesExchangeQuoteCommand");
const AcceptTransitGatewayMulticastDomainAssociationsCommand_1 = require("./commands/AcceptTransitGatewayMulticastDomainAssociationsCommand");
const AcceptTransitGatewayPeeringAttachmentCommand_1 = require("./commands/AcceptTransitGatewayPeeringAttachmentCommand");
const AcceptTransitGatewayVpcAttachmentCommand_1 = require("./commands/AcceptTransitGatewayVpcAttachmentCommand");
const AcceptVpcEndpointConnectionsCommand_1 = require("./commands/AcceptVpcEndpointConnectionsCommand");
const AcceptVpcPeeringConnectionCommand_1 = require("./commands/AcceptVpcPeeringConnectionCommand");
const AdvertiseByoipCidrCommand_1 = require("./commands/AdvertiseByoipCidrCommand");
const AllocateAddressCommand_1 = require("./commands/AllocateAddressCommand");
const AllocateHostsCommand_1 = require("./commands/AllocateHostsCommand");
const AllocateIpamPoolCidrCommand_1 = require("./commands/AllocateIpamPoolCidrCommand");
const ApplySecurityGroupsToClientVpnTargetNetworkCommand_1 = require("./commands/ApplySecurityGroupsToClientVpnTargetNetworkCommand");
const AssignIpv6AddressesCommand_1 = require("./commands/AssignIpv6AddressesCommand");
const AssignPrivateIpAddressesCommand_1 = require("./commands/AssignPrivateIpAddressesCommand");
const AssignPrivateNatGatewayAddressCommand_1 = require("./commands/AssignPrivateNatGatewayAddressCommand");
const AssociateAddressCommand_1 = require("./commands/AssociateAddressCommand");
const AssociateClientVpnTargetNetworkCommand_1 = require("./commands/AssociateClientVpnTargetNetworkCommand");
const AssociateDhcpOptionsCommand_1 = require("./commands/AssociateDhcpOptionsCommand");
const AssociateEnclaveCertificateIamRoleCommand_1 = require("./commands/AssociateEnclaveCertificateIamRoleCommand");
const AssociateIamInstanceProfileCommand_1 = require("./commands/AssociateIamInstanceProfileCommand");
const AssociateInstanceEventWindowCommand_1 = require("./commands/AssociateInstanceEventWindowCommand");
const AssociateIpamResourceDiscoveryCommand_1 = require("./commands/AssociateIpamResourceDiscoveryCommand");
const AssociateNatGatewayAddressCommand_1 = require("./commands/AssociateNatGatewayAddressCommand");
const AssociateRouteTableCommand_1 = require("./commands/AssociateRouteTableCommand");
const AssociateSubnetCidrBlockCommand_1 = require("./commands/AssociateSubnetCidrBlockCommand");
const AssociateTransitGatewayMulticastDomainCommand_1 = require("./commands/AssociateTransitGatewayMulticastDomainCommand");
const AssociateTransitGatewayPolicyTableCommand_1 = require("./commands/AssociateTransitGatewayPolicyTableCommand");
const AssociateTransitGatewayRouteTableCommand_1 = require("./commands/AssociateTransitGatewayRouteTableCommand");
const AssociateTrunkInterfaceCommand_1 = require("./commands/AssociateTrunkInterfaceCommand");
const AssociateVpcCidrBlockCommand_1 = require("./commands/AssociateVpcCidrBlockCommand");
const AttachClassicLinkVpcCommand_1 = require("./commands/AttachClassicLinkVpcCommand");
const AttachInternetGatewayCommand_1 = require("./commands/AttachInternetGatewayCommand");
const AttachNetworkInterfaceCommand_1 = require("./commands/AttachNetworkInterfaceCommand");
const AttachVerifiedAccessTrustProviderCommand_1 = require("./commands/AttachVerifiedAccessTrustProviderCommand");
const AttachVolumeCommand_1 = require("./commands/AttachVolumeCommand");
const AttachVpnGatewayCommand_1 = require("./commands/AttachVpnGatewayCommand");
const AuthorizeClientVpnIngressCommand_1 = require("./commands/AuthorizeClientVpnIngressCommand");
const AuthorizeSecurityGroupEgressCommand_1 = require("./commands/AuthorizeSecurityGroupEgressCommand");
const AuthorizeSecurityGroupIngressCommand_1 = require("./commands/AuthorizeSecurityGroupIngressCommand");
const BundleInstanceCommand_1 = require("./commands/BundleInstanceCommand");
const CancelBundleTaskCommand_1 = require("./commands/CancelBundleTaskCommand");
const CancelCapacityReservationCommand_1 = require("./commands/CancelCapacityReservationCommand");
const CancelCapacityReservationFleetsCommand_1 = require("./commands/CancelCapacityReservationFleetsCommand");
const CancelConversionTaskCommand_1 = require("./commands/CancelConversionTaskCommand");
const CancelExportTaskCommand_1 = require("./commands/CancelExportTaskCommand");
const CancelImageLaunchPermissionCommand_1 = require("./commands/CancelImageLaunchPermissionCommand");
const CancelImportTaskCommand_1 = require("./commands/CancelImportTaskCommand");
const CancelReservedInstancesListingCommand_1 = require("./commands/CancelReservedInstancesListingCommand");
const CancelSpotFleetRequestsCommand_1 = require("./commands/CancelSpotFleetRequestsCommand");
const CancelSpotInstanceRequestsCommand_1 = require("./commands/CancelSpotInstanceRequestsCommand");
const ConfirmProductInstanceCommand_1 = require("./commands/ConfirmProductInstanceCommand");
const CopyFpgaImageCommand_1 = require("./commands/CopyFpgaImageCommand");
const CopyImageCommand_1 = require("./commands/CopyImageCommand");
const CopySnapshotCommand_1 = require("./commands/CopySnapshotCommand");
const CreateCapacityReservationCommand_1 = require("./commands/CreateCapacityReservationCommand");
const CreateCapacityReservationFleetCommand_1 = require("./commands/CreateCapacityReservationFleetCommand");
const CreateCarrierGatewayCommand_1 = require("./commands/CreateCarrierGatewayCommand");
const CreateClientVpnEndpointCommand_1 = require("./commands/CreateClientVpnEndpointCommand");
const CreateClientVpnRouteCommand_1 = require("./commands/CreateClientVpnRouteCommand");
const CreateCoipCidrCommand_1 = require("./commands/CreateCoipCidrCommand");
const CreateCoipPoolCommand_1 = require("./commands/CreateCoipPoolCommand");
const CreateCustomerGatewayCommand_1 = require("./commands/CreateCustomerGatewayCommand");
const CreateDefaultSubnetCommand_1 = require("./commands/CreateDefaultSubnetCommand");
const CreateDefaultVpcCommand_1 = require("./commands/CreateDefaultVpcCommand");
const CreateDhcpOptionsCommand_1 = require("./commands/CreateDhcpOptionsCommand");
const CreateEgressOnlyInternetGatewayCommand_1 = require("./commands/CreateEgressOnlyInternetGatewayCommand");
const CreateFleetCommand_1 = require("./commands/CreateFleetCommand");
const CreateFlowLogsCommand_1 = require("./commands/CreateFlowLogsCommand");
const CreateFpgaImageCommand_1 = require("./commands/CreateFpgaImageCommand");
const CreateImageCommand_1 = require("./commands/CreateImageCommand");
const CreateInstanceConnectEndpointCommand_1 = require("./commands/CreateInstanceConnectEndpointCommand");
const CreateInstanceEventWindowCommand_1 = require("./commands/CreateInstanceEventWindowCommand");
const CreateInstanceExportTaskCommand_1 = require("./commands/CreateInstanceExportTaskCommand");
const CreateInternetGatewayCommand_1 = require("./commands/CreateInternetGatewayCommand");
const CreateIpamCommand_1 = require("./commands/CreateIpamCommand");
const CreateIpamPoolCommand_1 = require("./commands/CreateIpamPoolCommand");
const CreateIpamResourceDiscoveryCommand_1 = require("./commands/CreateIpamResourceDiscoveryCommand");
const CreateIpamScopeCommand_1 = require("./commands/CreateIpamScopeCommand");
const CreateKeyPairCommand_1 = require("./commands/CreateKeyPairCommand");
const CreateLaunchTemplateCommand_1 = require("./commands/CreateLaunchTemplateCommand");
const CreateLaunchTemplateVersionCommand_1 = require("./commands/CreateLaunchTemplateVersionCommand");
const CreateLocalGatewayRouteCommand_1 = require("./commands/CreateLocalGatewayRouteCommand");
const CreateLocalGatewayRouteTableCommand_1 = require("./commands/CreateLocalGatewayRouteTableCommand");
const CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand_1 = require("./commands/CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand");
const CreateLocalGatewayRouteTableVpcAssociationCommand_1 = require("./commands/CreateLocalGatewayRouteTableVpcAssociationCommand");
const CreateManagedPrefixListCommand_1 = require("./commands/CreateManagedPrefixListCommand");
const CreateNatGatewayCommand_1 = require("./commands/CreateNatGatewayCommand");
const CreateNetworkAclCommand_1 = require("./commands/CreateNetworkAclCommand");
const CreateNetworkAclEntryCommand_1 = require("./commands/CreateNetworkAclEntryCommand");
const CreateNetworkInsightsAccessScopeCommand_1 = require("./commands/CreateNetworkInsightsAccessScopeCommand");
const CreateNetworkInsightsPathCommand_1 = require("./commands/CreateNetworkInsightsPathCommand");
const CreateNetworkInterfaceCommand_1 = require("./commands/CreateNetworkInterfaceCommand");
const CreateNetworkInterfacePermissionCommand_1 = require("./commands/CreateNetworkInterfacePermissionCommand");
const CreatePlacementGroupCommand_1 = require("./commands/CreatePlacementGroupCommand");
const CreatePublicIpv4PoolCommand_1 = require("./commands/CreatePublicIpv4PoolCommand");
const CreateReplaceRootVolumeTaskCommand_1 = require("./commands/CreateReplaceRootVolumeTaskCommand");
const CreateReservedInstancesListingCommand_1 = require("./commands/CreateReservedInstancesListingCommand");
const CreateRestoreImageTaskCommand_1 = require("./commands/CreateRestoreImageTaskCommand");
const CreateRouteCommand_1 = require("./commands/CreateRouteCommand");
const CreateRouteTableCommand_1 = require("./commands/CreateRouteTableCommand");
const CreateSecurityGroupCommand_1 = require("./commands/CreateSecurityGroupCommand");
const CreateSnapshotCommand_1 = require("./commands/CreateSnapshotCommand");
const CreateSnapshotsCommand_1 = require("./commands/CreateSnapshotsCommand");
const CreateSpotDatafeedSubscriptionCommand_1 = require("./commands/CreateSpotDatafeedSubscriptionCommand");
const CreateStoreImageTaskCommand_1 = require("./commands/CreateStoreImageTaskCommand");
const CreateSubnetCidrReservationCommand_1 = require("./commands/CreateSubnetCidrReservationCommand");
const CreateSubnetCommand_1 = require("./commands/CreateSubnetCommand");
const CreateTagsCommand_1 = require("./commands/CreateTagsCommand");
const CreateTrafficMirrorFilterCommand_1 = require("./commands/CreateTrafficMirrorFilterCommand");
const CreateTrafficMirrorFilterRuleCommand_1 = require("./commands/CreateTrafficMirrorFilterRuleCommand");
const CreateTrafficMirrorSessionCommand_1 = require("./commands/CreateTrafficMirrorSessionCommand");
const CreateTrafficMirrorTargetCommand_1 = require("./commands/CreateTrafficMirrorTargetCommand");
const CreateTransitGatewayCommand_1 = require("./commands/CreateTransitGatewayCommand");
const CreateTransitGatewayConnectCommand_1 = require("./commands/CreateTransitGatewayConnectCommand");
const CreateTransitGatewayConnectPeerCommand_1 = require("./commands/CreateTransitGatewayConnectPeerCommand");
const CreateTransitGatewayMulticastDomainCommand_1 = require("./commands/CreateTransitGatewayMulticastDomainCommand");
const CreateTransitGatewayPeeringAttachmentCommand_1 = require("./commands/CreateTransitGatewayPeeringAttachmentCommand");
const CreateTransitGatewayPolicyTableCommand_1 = require("./commands/CreateTransitGatewayPolicyTableCommand");
const CreateTransitGatewayPrefixListReferenceCommand_1 = require("./commands/CreateTransitGatewayPrefixListReferenceCommand");
const CreateTransitGatewayRouteCommand_1 = require("./commands/CreateTransitGatewayRouteCommand");
const CreateTransitGatewayRouteTableAnnouncementCommand_1 = require("./commands/CreateTransitGatewayRouteTableAnnouncementCommand");
const CreateTransitGatewayRouteTableCommand_1 = require("./commands/CreateTransitGatewayRouteTableCommand");
const CreateTransitGatewayVpcAttachmentCommand_1 = require("./commands/CreateTransitGatewayVpcAttachmentCommand");
const CreateVerifiedAccessEndpointCommand_1 = require("./commands/CreateVerifiedAccessEndpointCommand");
const CreateVerifiedAccessGroupCommand_1 = require("./commands/CreateVerifiedAccessGroupCommand");
const CreateVerifiedAccessInstanceCommand_1 = require("./commands/CreateVerifiedAccessInstanceCommand");
const CreateVerifiedAccessTrustProviderCommand_1 = require("./commands/CreateVerifiedAccessTrustProviderCommand");
const CreateVolumeCommand_1 = require("./commands/CreateVolumeCommand");
const CreateVpcCommand_1 = require("./commands/CreateVpcCommand");
const CreateVpcEndpointCommand_1 = require("./commands/CreateVpcEndpointCommand");
const CreateVpcEndpointConnectionNotificationCommand_1 = require("./commands/CreateVpcEndpointConnectionNotificationCommand");
const CreateVpcEndpointServiceConfigurationCommand_1 = require("./commands/CreateVpcEndpointServiceConfigurationCommand");
const CreateVpcPeeringConnectionCommand_1 = require("./commands/CreateVpcPeeringConnectionCommand");
const CreateVpnConnectionCommand_1 = require("./commands/CreateVpnConnectionCommand");
const CreateVpnConnectionRouteCommand_1 = require("./commands/CreateVpnConnectionRouteCommand");
const CreateVpnGatewayCommand_1 = require("./commands/CreateVpnGatewayCommand");
const DeleteCarrierGatewayCommand_1 = require("./commands/DeleteCarrierGatewayCommand");
const DeleteClientVpnEndpointCommand_1 = require("./commands/DeleteClientVpnEndpointCommand");
const DeleteClientVpnRouteCommand_1 = require("./commands/DeleteClientVpnRouteCommand");
const DeleteCoipCidrCommand_1 = require("./commands/DeleteCoipCidrCommand");
const DeleteCoipPoolCommand_1 = require("./commands/DeleteCoipPoolCommand");
const DeleteCustomerGatewayCommand_1 = require("./commands/DeleteCustomerGatewayCommand");
const DeleteDhcpOptionsCommand_1 = require("./commands/DeleteDhcpOptionsCommand");
const DeleteEgressOnlyInternetGatewayCommand_1 = require("./commands/DeleteEgressOnlyInternetGatewayCommand");
const DeleteFleetsCommand_1 = require("./commands/DeleteFleetsCommand");
const DeleteFlowLogsCommand_1 = require("./commands/DeleteFlowLogsCommand");
const DeleteFpgaImageCommand_1 = require("./commands/DeleteFpgaImageCommand");
const DeleteInstanceConnectEndpointCommand_1 = require("./commands/DeleteInstanceConnectEndpointCommand");
const DeleteInstanceEventWindowCommand_1 = require("./commands/DeleteInstanceEventWindowCommand");
const DeleteInternetGatewayCommand_1 = require("./commands/DeleteInternetGatewayCommand");
const DeleteIpamCommand_1 = require("./commands/DeleteIpamCommand");
const DeleteIpamPoolCommand_1 = require("./commands/DeleteIpamPoolCommand");
const DeleteIpamResourceDiscoveryCommand_1 = require("./commands/DeleteIpamResourceDiscoveryCommand");
const DeleteIpamScopeCommand_1 = require("./commands/DeleteIpamScopeCommand");
const DeleteKeyPairCommand_1 = require("./commands/DeleteKeyPairCommand");
const DeleteLaunchTemplateCommand_1 = require("./commands/DeleteLaunchTemplateCommand");
const DeleteLaunchTemplateVersionsCommand_1 = require("./commands/DeleteLaunchTemplateVersionsCommand");
const DeleteLocalGatewayRouteCommand_1 = require("./commands/DeleteLocalGatewayRouteCommand");
const DeleteLocalGatewayRouteTableCommand_1 = require("./commands/DeleteLocalGatewayRouteTableCommand");
const DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand_1 = require("./commands/DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand");
const DeleteLocalGatewayRouteTableVpcAssociationCommand_1 = require("./commands/DeleteLocalGatewayRouteTableVpcAssociationCommand");
const DeleteManagedPrefixListCommand_1 = require("./commands/DeleteManagedPrefixListCommand");
const DeleteNatGatewayCommand_1 = require("./commands/DeleteNatGatewayCommand");
const DeleteNetworkAclCommand_1 = require("./commands/DeleteNetworkAclCommand");
const DeleteNetworkAclEntryCommand_1 = require("./commands/DeleteNetworkAclEntryCommand");
const DeleteNetworkInsightsAccessScopeAnalysisCommand_1 = require("./commands/DeleteNetworkInsightsAccessScopeAnalysisCommand");
const DeleteNetworkInsightsAccessScopeCommand_1 = require("./commands/DeleteNetworkInsightsAccessScopeCommand");
const DeleteNetworkInsightsAnalysisCommand_1 = require("./commands/DeleteNetworkInsightsAnalysisCommand");
const DeleteNetworkInsightsPathCommand_1 = require("./commands/DeleteNetworkInsightsPathCommand");
const DeleteNetworkInterfaceCommand_1 = require("./commands/DeleteNetworkInterfaceCommand");
const DeleteNetworkInterfacePermissionCommand_1 = require("./commands/DeleteNetworkInterfacePermissionCommand");
const DeletePlacementGroupCommand_1 = require("./commands/DeletePlacementGroupCommand");
const DeletePublicIpv4PoolCommand_1 = require("./commands/DeletePublicIpv4PoolCommand");
const DeleteQueuedReservedInstancesCommand_1 = require("./commands/DeleteQueuedReservedInstancesCommand");
const DeleteRouteCommand_1 = require("./commands/DeleteRouteCommand");
const DeleteRouteTableCommand_1 = require("./commands/DeleteRouteTableCommand");
const DeleteSecurityGroupCommand_1 = require("./commands/DeleteSecurityGroupCommand");
const DeleteSnapshotCommand_1 = require("./commands/DeleteSnapshotCommand");
const DeleteSpotDatafeedSubscriptionCommand_1 = require("./commands/DeleteSpotDatafeedSubscriptionCommand");
const DeleteSubnetCidrReservationCommand_1 = require("./commands/DeleteSubnetCidrReservationCommand");
const DeleteSubnetCommand_1 = require("./commands/DeleteSubnetCommand");
const DeleteTagsCommand_1 = require("./commands/DeleteTagsCommand");
const DeleteTrafficMirrorFilterCommand_1 = require("./commands/DeleteTrafficMirrorFilterCommand");
const DeleteTrafficMirrorFilterRuleCommand_1 = require("./commands/DeleteTrafficMirrorFilterRuleCommand");
const DeleteTrafficMirrorSessionCommand_1 = require("./commands/DeleteTrafficMirrorSessionCommand");
const DeleteTrafficMirrorTargetCommand_1 = require("./commands/DeleteTrafficMirrorTargetCommand");
const DeleteTransitGatewayCommand_1 = require("./commands/DeleteTransitGatewayCommand");
const DeleteTransitGatewayConnectCommand_1 = require("./commands/DeleteTransitGatewayConnectCommand");
const DeleteTransitGatewayConnectPeerCommand_1 = require("./commands/DeleteTransitGatewayConnectPeerCommand");
const DeleteTransitGatewayMulticastDomainCommand_1 = require("./commands/DeleteTransitGatewayMulticastDomainCommand");
const DeleteTransitGatewayPeeringAttachmentCommand_1 = require("./commands/DeleteTransitGatewayPeeringAttachmentCommand");
const DeleteTransitGatewayPolicyTableCommand_1 = require("./commands/DeleteTransitGatewayPolicyTableCommand");
const DeleteTransitGatewayPrefixListReferenceCommand_1 = require("./commands/DeleteTransitGatewayPrefixListReferenceCommand");
const DeleteTransitGatewayRouteCommand_1 = require("./commands/DeleteTransitGatewayRouteCommand");
const DeleteTransitGatewayRouteTableAnnouncementCommand_1 = require("./commands/DeleteTransitGatewayRouteTableAnnouncementCommand");
const DeleteTransitGatewayRouteTableCommand_1 = require("./commands/DeleteTransitGatewayRouteTableCommand");
const DeleteTransitGatewayVpcAttachmentCommand_1 = require("./commands/DeleteTransitGatewayVpcAttachmentCommand");
const DeleteVerifiedAccessEndpointCommand_1 = require("./commands/DeleteVerifiedAccessEndpointCommand");
const DeleteVerifiedAccessGroupCommand_1 = require("./commands/DeleteVerifiedAccessGroupCommand");
const DeleteVerifiedAccessInstanceCommand_1 = require("./commands/DeleteVerifiedAccessInstanceCommand");
const DeleteVerifiedAccessTrustProviderCommand_1 = require("./commands/DeleteVerifiedAccessTrustProviderCommand");
const DeleteVolumeCommand_1 = require("./commands/DeleteVolumeCommand");
const DeleteVpcCommand_1 = require("./commands/DeleteVpcCommand");
const DeleteVpcEndpointConnectionNotificationsCommand_1 = require("./commands/DeleteVpcEndpointConnectionNotificationsCommand");
const DeleteVpcEndpointsCommand_1 = require("./commands/DeleteVpcEndpointsCommand");
const DeleteVpcEndpointServiceConfigurationsCommand_1 = require("./commands/DeleteVpcEndpointServiceConfigurationsCommand");
const DeleteVpcPeeringConnectionCommand_1 = require("./commands/DeleteVpcPeeringConnectionCommand");
const DeleteVpnConnectionCommand_1 = require("./commands/DeleteVpnConnectionCommand");
const DeleteVpnConnectionRouteCommand_1 = require("./commands/DeleteVpnConnectionRouteCommand");
const DeleteVpnGatewayCommand_1 = require("./commands/DeleteVpnGatewayCommand");
const DeprovisionByoipCidrCommand_1 = require("./commands/DeprovisionByoipCidrCommand");
const DeprovisionIpamPoolCidrCommand_1 = require("./commands/DeprovisionIpamPoolCidrCommand");
const DeprovisionPublicIpv4PoolCidrCommand_1 = require("./commands/DeprovisionPublicIpv4PoolCidrCommand");
const DeregisterImageCommand_1 = require("./commands/DeregisterImageCommand");
const DeregisterInstanceEventNotificationAttributesCommand_1 = require("./commands/DeregisterInstanceEventNotificationAttributesCommand");
const DeregisterTransitGatewayMulticastGroupMembersCommand_1 = require("./commands/DeregisterTransitGatewayMulticastGroupMembersCommand");
const DeregisterTransitGatewayMulticastGroupSourcesCommand_1 = require("./commands/DeregisterTransitGatewayMulticastGroupSourcesCommand");
const DescribeAccountAttributesCommand_1 = require("./commands/DescribeAccountAttributesCommand");
const DescribeAddressesAttributeCommand_1 = require("./commands/DescribeAddressesAttributeCommand");
const DescribeAddressesCommand_1 = require("./commands/DescribeAddressesCommand");
const DescribeAddressTransfersCommand_1 = require("./commands/DescribeAddressTransfersCommand");
const DescribeAggregateIdFormatCommand_1 = require("./commands/DescribeAggregateIdFormatCommand");
const DescribeAvailabilityZonesCommand_1 = require("./commands/DescribeAvailabilityZonesCommand");
const DescribeAwsNetworkPerformanceMetricSubscriptionsCommand_1 = require("./commands/DescribeAwsNetworkPerformanceMetricSubscriptionsCommand");
const DescribeBundleTasksCommand_1 = require("./commands/DescribeBundleTasksCommand");
const DescribeByoipCidrsCommand_1 = require("./commands/DescribeByoipCidrsCommand");
const DescribeCapacityReservationFleetsCommand_1 = require("./commands/DescribeCapacityReservationFleetsCommand");
const DescribeCapacityReservationsCommand_1 = require("./commands/DescribeCapacityReservationsCommand");
const DescribeCarrierGatewaysCommand_1 = require("./commands/DescribeCarrierGatewaysCommand");
const DescribeClassicLinkInstancesCommand_1 = require("./commands/DescribeClassicLinkInstancesCommand");
const DescribeClientVpnAuthorizationRulesCommand_1 = require("./commands/DescribeClientVpnAuthorizationRulesCommand");
const DescribeClientVpnConnectionsCommand_1 = require("./commands/DescribeClientVpnConnectionsCommand");
const DescribeClientVpnEndpointsCommand_1 = require("./commands/DescribeClientVpnEndpointsCommand");
const DescribeClientVpnRoutesCommand_1 = require("./commands/DescribeClientVpnRoutesCommand");
const DescribeClientVpnTargetNetworksCommand_1 = require("./commands/DescribeClientVpnTargetNetworksCommand");
const DescribeCoipPoolsCommand_1 = require("./commands/DescribeCoipPoolsCommand");
const DescribeConversionTasksCommand_1 = require("./commands/DescribeConversionTasksCommand");
const DescribeCustomerGatewaysCommand_1 = require("./commands/DescribeCustomerGatewaysCommand");
const DescribeDhcpOptionsCommand_1 = require("./commands/DescribeDhcpOptionsCommand");
const DescribeEgressOnlyInternetGatewaysCommand_1 = require("./commands/DescribeEgressOnlyInternetGatewaysCommand");
const DescribeElasticGpusCommand_1 = require("./commands/DescribeElasticGpusCommand");
const DescribeExportImageTasksCommand_1 = require("./commands/DescribeExportImageTasksCommand");
const DescribeExportTasksCommand_1 = require("./commands/DescribeExportTasksCommand");
const DescribeFastLaunchImagesCommand_1 = require("./commands/DescribeFastLaunchImagesCommand");
const DescribeFastSnapshotRestoresCommand_1 = require("./commands/DescribeFastSnapshotRestoresCommand");
const DescribeFleetHistoryCommand_1 = require("./commands/DescribeFleetHistoryCommand");
const DescribeFleetInstancesCommand_1 = require("./commands/DescribeFleetInstancesCommand");
const DescribeFleetsCommand_1 = require("./commands/DescribeFleetsCommand");
const DescribeFlowLogsCommand_1 = require("./commands/DescribeFlowLogsCommand");
const DescribeFpgaImageAttributeCommand_1 = require("./commands/DescribeFpgaImageAttributeCommand");
const DescribeFpgaImagesCommand_1 = require("./commands/DescribeFpgaImagesCommand");
const DescribeHostReservationOfferingsCommand_1 = require("./commands/DescribeHostReservationOfferingsCommand");
const DescribeHostReservationsCommand_1 = require("./commands/DescribeHostReservationsCommand");
const DescribeHostsCommand_1 = require("./commands/DescribeHostsCommand");
const DescribeIamInstanceProfileAssociationsCommand_1 = require("./commands/DescribeIamInstanceProfileAssociationsCommand");
const DescribeIdentityIdFormatCommand_1 = require("./commands/DescribeIdentityIdFormatCommand");
const DescribeIdFormatCommand_1 = require("./commands/DescribeIdFormatCommand");
const DescribeImageAttributeCommand_1 = require("./commands/DescribeImageAttributeCommand");
const DescribeImagesCommand_1 = require("./commands/DescribeImagesCommand");
const DescribeImportImageTasksCommand_1 = require("./commands/DescribeImportImageTasksCommand");
const DescribeImportSnapshotTasksCommand_1 = require("./commands/DescribeImportSnapshotTasksCommand");
const DescribeInstanceAttributeCommand_1 = require("./commands/DescribeInstanceAttributeCommand");
const DescribeInstanceConnectEndpointsCommand_1 = require("./commands/DescribeInstanceConnectEndpointsCommand");
const DescribeInstanceCreditSpecificationsCommand_1 = require("./commands/DescribeInstanceCreditSpecificationsCommand");
const DescribeInstanceEventNotificationAttributesCommand_1 = require("./commands/DescribeInstanceEventNotificationAttributesCommand");
const DescribeInstanceEventWindowsCommand_1 = require("./commands/DescribeInstanceEventWindowsCommand");
const DescribeInstancesCommand_1 = require("./commands/DescribeInstancesCommand");
const DescribeInstanceStatusCommand_1 = require("./commands/DescribeInstanceStatusCommand");
const DescribeInstanceTypeOfferingsCommand_1 = require("./commands/DescribeInstanceTypeOfferingsCommand");
const DescribeInstanceTypesCommand_1 = require("./commands/DescribeInstanceTypesCommand");
const DescribeInternetGatewaysCommand_1 = require("./commands/DescribeInternetGatewaysCommand");
const DescribeIpamPoolsCommand_1 = require("./commands/DescribeIpamPoolsCommand");
const DescribeIpamResourceDiscoveriesCommand_1 = require("./commands/DescribeIpamResourceDiscoveriesCommand");
const DescribeIpamResourceDiscoveryAssociationsCommand_1 = require("./commands/DescribeIpamResourceDiscoveryAssociationsCommand");
const DescribeIpamsCommand_1 = require("./commands/DescribeIpamsCommand");
const DescribeIpamScopesCommand_1 = require("./commands/DescribeIpamScopesCommand");
const DescribeIpv6PoolsCommand_1 = require("./commands/DescribeIpv6PoolsCommand");
const DescribeKeyPairsCommand_1 = require("./commands/DescribeKeyPairsCommand");
const DescribeLaunchTemplatesCommand_1 = require("./commands/DescribeLaunchTemplatesCommand");
const DescribeLaunchTemplateVersionsCommand_1 = require("./commands/DescribeLaunchTemplateVersionsCommand");
const DescribeLocalGatewayRouteTablesCommand_1 = require("./commands/DescribeLocalGatewayRouteTablesCommand");
const DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand_1 = require("./commands/DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand");
const DescribeLocalGatewayRouteTableVpcAssociationsCommand_1 = require("./commands/DescribeLocalGatewayRouteTableVpcAssociationsCommand");
const DescribeLocalGatewaysCommand_1 = require("./commands/DescribeLocalGatewaysCommand");
const DescribeLocalGatewayVirtualInterfaceGroupsCommand_1 = require("./commands/DescribeLocalGatewayVirtualInterfaceGroupsCommand");
const DescribeLocalGatewayVirtualInterfacesCommand_1 = require("./commands/DescribeLocalGatewayVirtualInterfacesCommand");
const DescribeManagedPrefixListsCommand_1 = require("./commands/DescribeManagedPrefixListsCommand");
const DescribeMovingAddressesCommand_1 = require("./commands/DescribeMovingAddressesCommand");
const DescribeNatGatewaysCommand_1 = require("./commands/DescribeNatGatewaysCommand");
const DescribeNetworkAclsCommand_1 = require("./commands/DescribeNetworkAclsCommand");
const DescribeNetworkInsightsAccessScopeAnalysesCommand_1 = require("./commands/DescribeNetworkInsightsAccessScopeAnalysesCommand");
const DescribeNetworkInsightsAccessScopesCommand_1 = require("./commands/DescribeNetworkInsightsAccessScopesCommand");
const DescribeNetworkInsightsAnalysesCommand_1 = require("./commands/DescribeNetworkInsightsAnalysesCommand");
const DescribeNetworkInsightsPathsCommand_1 = require("./commands/DescribeNetworkInsightsPathsCommand");
const DescribeNetworkInterfaceAttributeCommand_1 = require("./commands/DescribeNetworkInterfaceAttributeCommand");
const DescribeNetworkInterfacePermissionsCommand_1 = require("./commands/DescribeNetworkInterfacePermissionsCommand");
const DescribeNetworkInterfacesCommand_1 = require("./commands/DescribeNetworkInterfacesCommand");
const DescribePlacementGroupsCommand_1 = require("./commands/DescribePlacementGroupsCommand");
const DescribePrefixListsCommand_1 = require("./commands/DescribePrefixListsCommand");
const DescribePrincipalIdFormatCommand_1 = require("./commands/DescribePrincipalIdFormatCommand");
const DescribePublicIpv4PoolsCommand_1 = require("./commands/DescribePublicIpv4PoolsCommand");
const DescribeRegionsCommand_1 = require("./commands/DescribeRegionsCommand");
const DescribeReplaceRootVolumeTasksCommand_1 = require("./commands/DescribeReplaceRootVolumeTasksCommand");
const DescribeReservedInstancesCommand_1 = require("./commands/DescribeReservedInstancesCommand");
const DescribeReservedInstancesListingsCommand_1 = require("./commands/DescribeReservedInstancesListingsCommand");
const DescribeReservedInstancesModificationsCommand_1 = require("./commands/DescribeReservedInstancesModificationsCommand");
const DescribeReservedInstancesOfferingsCommand_1 = require("./commands/DescribeReservedInstancesOfferingsCommand");
const DescribeRouteTablesCommand_1 = require("./commands/DescribeRouteTablesCommand");
const DescribeScheduledInstanceAvailabilityCommand_1 = require("./commands/DescribeScheduledInstanceAvailabilityCommand");
const DescribeScheduledInstancesCommand_1 = require("./commands/DescribeScheduledInstancesCommand");
const DescribeSecurityGroupReferencesCommand_1 = require("./commands/DescribeSecurityGroupReferencesCommand");
const DescribeSecurityGroupRulesCommand_1 = require("./commands/DescribeSecurityGroupRulesCommand");
const DescribeSecurityGroupsCommand_1 = require("./commands/DescribeSecurityGroupsCommand");
const DescribeSnapshotAttributeCommand_1 = require("./commands/DescribeSnapshotAttributeCommand");
const DescribeSnapshotsCommand_1 = require("./commands/DescribeSnapshotsCommand");
const DescribeSnapshotTierStatusCommand_1 = require("./commands/DescribeSnapshotTierStatusCommand");
const DescribeSpotDatafeedSubscriptionCommand_1 = require("./commands/DescribeSpotDatafeedSubscriptionCommand");
const DescribeSpotFleetInstancesCommand_1 = require("./commands/DescribeSpotFleetInstancesCommand");
const DescribeSpotFleetRequestHistoryCommand_1 = require("./commands/DescribeSpotFleetRequestHistoryCommand");
const DescribeSpotFleetRequestsCommand_1 = require("./commands/DescribeSpotFleetRequestsCommand");
const DescribeSpotInstanceRequestsCommand_1 = require("./commands/DescribeSpotInstanceRequestsCommand");
const DescribeSpotPriceHistoryCommand_1 = require("./commands/DescribeSpotPriceHistoryCommand");
const DescribeStaleSecurityGroupsCommand_1 = require("./commands/DescribeStaleSecurityGroupsCommand");
const DescribeStoreImageTasksCommand_1 = require("./commands/DescribeStoreImageTasksCommand");
const DescribeSubnetsCommand_1 = require("./commands/DescribeSubnetsCommand");
const DescribeTagsCommand_1 = require("./commands/DescribeTagsCommand");
const DescribeTrafficMirrorFiltersCommand_1 = require("./commands/DescribeTrafficMirrorFiltersCommand");
const DescribeTrafficMirrorSessionsCommand_1 = require("./commands/DescribeTrafficMirrorSessionsCommand");
const DescribeTrafficMirrorTargetsCommand_1 = require("./commands/DescribeTrafficMirrorTargetsCommand");
const DescribeTransitGatewayAttachmentsCommand_1 = require("./commands/DescribeTransitGatewayAttachmentsCommand");
const DescribeTransitGatewayConnectPeersCommand_1 = require("./commands/DescribeTransitGatewayConnectPeersCommand");
const DescribeTransitGatewayConnectsCommand_1 = require("./commands/DescribeTransitGatewayConnectsCommand");
const DescribeTransitGatewayMulticastDomainsCommand_1 = require("./commands/DescribeTransitGatewayMulticastDomainsCommand");
const DescribeTransitGatewayPeeringAttachmentsCommand_1 = require("./commands/DescribeTransitGatewayPeeringAttachmentsCommand");
const DescribeTransitGatewayPolicyTablesCommand_1 = require("./commands/DescribeTransitGatewayPolicyTablesCommand");
const DescribeTransitGatewayRouteTableAnnouncementsCommand_1 = require("./commands/DescribeTransitGatewayRouteTableAnnouncementsCommand");
const DescribeTransitGatewayRouteTablesCommand_1 = require("./commands/DescribeTransitGatewayRouteTablesCommand");
const DescribeTransitGatewaysCommand_1 = require("./commands/DescribeTransitGatewaysCommand");
const DescribeTransitGatewayVpcAttachmentsCommand_1 = require("./commands/DescribeTransitGatewayVpcAttachmentsCommand");
const DescribeTrunkInterfaceAssociationsCommand_1 = require("./commands/DescribeTrunkInterfaceAssociationsCommand");
const DescribeVerifiedAccessEndpointsCommand_1 = require("./commands/DescribeVerifiedAccessEndpointsCommand");
const DescribeVerifiedAccessGroupsCommand_1 = require("./commands/DescribeVerifiedAccessGroupsCommand");
const DescribeVerifiedAccessInstanceLoggingConfigurationsCommand_1 = require("./commands/DescribeVerifiedAccessInstanceLoggingConfigurationsCommand");
const DescribeVerifiedAccessInstancesCommand_1 = require("./commands/DescribeVerifiedAccessInstancesCommand");
const DescribeVerifiedAccessTrustProvidersCommand_1 = require("./commands/DescribeVerifiedAccessTrustProvidersCommand");
const DescribeVolumeAttributeCommand_1 = require("./commands/DescribeVolumeAttributeCommand");
const DescribeVolumesCommand_1 = require("./commands/DescribeVolumesCommand");
const DescribeVolumesModificationsCommand_1 = require("./commands/DescribeVolumesModificationsCommand");
const DescribeVolumeStatusCommand_1 = require("./commands/DescribeVolumeStatusCommand");
const DescribeVpcAttributeCommand_1 = require("./commands/DescribeVpcAttributeCommand");
const DescribeVpcClassicLinkCommand_1 = require("./commands/DescribeVpcClassicLinkCommand");
const DescribeVpcClassicLinkDnsSupportCommand_1 = require("./commands/DescribeVpcClassicLinkDnsSupportCommand");
const DescribeVpcEndpointConnectionNotificationsCommand_1 = require("./commands/DescribeVpcEndpointConnectionNotificationsCommand");
const DescribeVpcEndpointConnectionsCommand_1 = require("./commands/DescribeVpcEndpointConnectionsCommand");
const DescribeVpcEndpointsCommand_1 = require("./commands/DescribeVpcEndpointsCommand");
const DescribeVpcEndpointServiceConfigurationsCommand_1 = require("./commands/DescribeVpcEndpointServiceConfigurationsCommand");
const DescribeVpcEndpointServicePermissionsCommand_1 = require("./commands/DescribeVpcEndpointServicePermissionsCommand");
const DescribeVpcEndpointServicesCommand_1 = require("./commands/DescribeVpcEndpointServicesCommand");
const DescribeVpcPeeringConnectionsCommand_1 = require("./commands/DescribeVpcPeeringConnectionsCommand");
const DescribeVpcsCommand_1 = require("./commands/DescribeVpcsCommand");
const DescribeVpnConnectionsCommand_1 = require("./commands/DescribeVpnConnectionsCommand");
const DescribeVpnGatewaysCommand_1 = require("./commands/DescribeVpnGatewaysCommand");
const DetachClassicLinkVpcCommand_1 = require("./commands/DetachClassicLinkVpcCommand");
const DetachInternetGatewayCommand_1 = require("./commands/DetachInternetGatewayCommand");
const DetachNetworkInterfaceCommand_1 = require("./commands/DetachNetworkInterfaceCommand");
const DetachVerifiedAccessTrustProviderCommand_1 = require("./commands/DetachVerifiedAccessTrustProviderCommand");
const DetachVolumeCommand_1 = require("./commands/DetachVolumeCommand");
const DetachVpnGatewayCommand_1 = require("./commands/DetachVpnGatewayCommand");
const DisableAddressTransferCommand_1 = require("./commands/DisableAddressTransferCommand");
const DisableAwsNetworkPerformanceMetricSubscriptionCommand_1 = require("./commands/DisableAwsNetworkPerformanceMetricSubscriptionCommand");
const DisableEbsEncryptionByDefaultCommand_1 = require("./commands/DisableEbsEncryptionByDefaultCommand");
const DisableFastLaunchCommand_1 = require("./commands/DisableFastLaunchCommand");
const DisableFastSnapshotRestoresCommand_1 = require("./commands/DisableFastSnapshotRestoresCommand");
const DisableImageBlockPublicAccessCommand_1 = require("./commands/DisableImageBlockPublicAccessCommand");
const DisableImageDeprecationCommand_1 = require("./commands/DisableImageDeprecationCommand");
const DisableIpamOrganizationAdminAccountCommand_1 = require("./commands/DisableIpamOrganizationAdminAccountCommand");
const DisableSerialConsoleAccessCommand_1 = require("./commands/DisableSerialConsoleAccessCommand");
const DisableTransitGatewayRouteTablePropagationCommand_1 = require("./commands/DisableTransitGatewayRouteTablePropagationCommand");
const DisableVgwRoutePropagationCommand_1 = require("./commands/DisableVgwRoutePropagationCommand");
const DisableVpcClassicLinkCommand_1 = require("./commands/DisableVpcClassicLinkCommand");
const DisableVpcClassicLinkDnsSupportCommand_1 = require("./commands/DisableVpcClassicLinkDnsSupportCommand");
const DisassociateAddressCommand_1 = require("./commands/DisassociateAddressCommand");
const DisassociateClientVpnTargetNetworkCommand_1 = require("./commands/DisassociateClientVpnTargetNetworkCommand");
const DisassociateEnclaveCertificateIamRoleCommand_1 = require("./commands/DisassociateEnclaveCertificateIamRoleCommand");
const DisassociateIamInstanceProfileCommand_1 = require("./commands/DisassociateIamInstanceProfileCommand");
const DisassociateInstanceEventWindowCommand_1 = require("./commands/DisassociateInstanceEventWindowCommand");
const DisassociateIpamResourceDiscoveryCommand_1 = require("./commands/DisassociateIpamResourceDiscoveryCommand");
const DisassociateNatGatewayAddressCommand_1 = require("./commands/DisassociateNatGatewayAddressCommand");
const DisassociateRouteTableCommand_1 = require("./commands/DisassociateRouteTableCommand");
const DisassociateSubnetCidrBlockCommand_1 = require("./commands/DisassociateSubnetCidrBlockCommand");
const DisassociateTransitGatewayMulticastDomainCommand_1 = require("./commands/DisassociateTransitGatewayMulticastDomainCommand");
const DisassociateTransitGatewayPolicyTableCommand_1 = require("./commands/DisassociateTransitGatewayPolicyTableCommand");
const DisassociateTransitGatewayRouteTableCommand_1 = require("./commands/DisassociateTransitGatewayRouteTableCommand");
const DisassociateTrunkInterfaceCommand_1 = require("./commands/DisassociateTrunkInterfaceCommand");
const DisassociateVpcCidrBlockCommand_1 = require("./commands/DisassociateVpcCidrBlockCommand");
const EnableAddressTransferCommand_1 = require("./commands/EnableAddressTransferCommand");
const EnableAwsNetworkPerformanceMetricSubscriptionCommand_1 = require("./commands/EnableAwsNetworkPerformanceMetricSubscriptionCommand");
const EnableEbsEncryptionByDefaultCommand_1 = require("./commands/EnableEbsEncryptionByDefaultCommand");
const EnableFastLaunchCommand_1 = require("./commands/EnableFastLaunchCommand");
const EnableFastSnapshotRestoresCommand_1 = require("./commands/EnableFastSnapshotRestoresCommand");
const EnableImageBlockPublicAccessCommand_1 = require("./commands/EnableImageBlockPublicAccessCommand");
const EnableImageDeprecationCommand_1 = require("./commands/EnableImageDeprecationCommand");
const EnableIpamOrganizationAdminAccountCommand_1 = require("./commands/EnableIpamOrganizationAdminAccountCommand");
const EnableReachabilityAnalyzerOrganizationSharingCommand_1 = require("./commands/EnableReachabilityAnalyzerOrganizationSharingCommand");
const EnableSerialConsoleAccessCommand_1 = require("./commands/EnableSerialConsoleAccessCommand");
const EnableTransitGatewayRouteTablePropagationCommand_1 = require("./commands/EnableTransitGatewayRouteTablePropagationCommand");
const EnableVgwRoutePropagationCommand_1 = require("./commands/EnableVgwRoutePropagationCommand");
const EnableVolumeIOCommand_1 = require("./commands/EnableVolumeIOCommand");
const EnableVpcClassicLinkCommand_1 = require("./commands/EnableVpcClassicLinkCommand");
const EnableVpcClassicLinkDnsSupportCommand_1 = require("./commands/EnableVpcClassicLinkDnsSupportCommand");
const ExportClientVpnClientCertificateRevocationListCommand_1 = require("./commands/ExportClientVpnClientCertificateRevocationListCommand");
const ExportClientVpnClientConfigurationCommand_1 = require("./commands/ExportClientVpnClientConfigurationCommand");
const ExportImageCommand_1 = require("./commands/ExportImageCommand");
const ExportTransitGatewayRoutesCommand_1 = require("./commands/ExportTransitGatewayRoutesCommand");
const GetAssociatedEnclaveCertificateIamRolesCommand_1 = require("./commands/GetAssociatedEnclaveCertificateIamRolesCommand");
const GetAssociatedIpv6PoolCidrsCommand_1 = require("./commands/GetAssociatedIpv6PoolCidrsCommand");
const GetAwsNetworkPerformanceDataCommand_1 = require("./commands/GetAwsNetworkPerformanceDataCommand");
const GetCapacityReservationUsageCommand_1 = require("./commands/GetCapacityReservationUsageCommand");
const GetCoipPoolUsageCommand_1 = require("./commands/GetCoipPoolUsageCommand");
const GetConsoleOutputCommand_1 = require("./commands/GetConsoleOutputCommand");
const GetConsoleScreenshotCommand_1 = require("./commands/GetConsoleScreenshotCommand");
const GetDefaultCreditSpecificationCommand_1 = require("./commands/GetDefaultCreditSpecificationCommand");
const GetEbsDefaultKmsKeyIdCommand_1 = require("./commands/GetEbsDefaultKmsKeyIdCommand");
const GetEbsEncryptionByDefaultCommand_1 = require("./commands/GetEbsEncryptionByDefaultCommand");
const GetFlowLogsIntegrationTemplateCommand_1 = require("./commands/GetFlowLogsIntegrationTemplateCommand");
const GetGroupsForCapacityReservationCommand_1 = require("./commands/GetGroupsForCapacityReservationCommand");
const GetHostReservationPurchasePreviewCommand_1 = require("./commands/GetHostReservationPurchasePreviewCommand");
const GetImageBlockPublicAccessStateCommand_1 = require("./commands/GetImageBlockPublicAccessStateCommand");
const GetInstanceTypesFromInstanceRequirementsCommand_1 = require("./commands/GetInstanceTypesFromInstanceRequirementsCommand");
const GetInstanceUefiDataCommand_1 = require("./commands/GetInstanceUefiDataCommand");
const GetIpamAddressHistoryCommand_1 = require("./commands/GetIpamAddressHistoryCommand");
const GetIpamDiscoveredAccountsCommand_1 = require("./commands/GetIpamDiscoveredAccountsCommand");
const GetIpamDiscoveredResourceCidrsCommand_1 = require("./commands/GetIpamDiscoveredResourceCidrsCommand");
const GetIpamPoolAllocationsCommand_1 = require("./commands/GetIpamPoolAllocationsCommand");
const GetIpamPoolCidrsCommand_1 = require("./commands/GetIpamPoolCidrsCommand");
const GetIpamResourceCidrsCommand_1 = require("./commands/GetIpamResourceCidrsCommand");
const GetLaunchTemplateDataCommand_1 = require("./commands/GetLaunchTemplateDataCommand");
const GetManagedPrefixListAssociationsCommand_1 = require("./commands/GetManagedPrefixListAssociationsCommand");
const GetManagedPrefixListEntriesCommand_1 = require("./commands/GetManagedPrefixListEntriesCommand");
const GetNetworkInsightsAccessScopeAnalysisFindingsCommand_1 = require("./commands/GetNetworkInsightsAccessScopeAnalysisFindingsCommand");
const GetNetworkInsightsAccessScopeContentCommand_1 = require("./commands/GetNetworkInsightsAccessScopeContentCommand");
const GetPasswordDataCommand_1 = require("./commands/GetPasswordDataCommand");
const GetReservedInstancesExchangeQuoteCommand_1 = require("./commands/GetReservedInstancesExchangeQuoteCommand");
const GetSerialConsoleAccessStatusCommand_1 = require("./commands/GetSerialConsoleAccessStatusCommand");
const GetSpotPlacementScoresCommand_1 = require("./commands/GetSpotPlacementScoresCommand");
const GetSubnetCidrReservationsCommand_1 = require("./commands/GetSubnetCidrReservationsCommand");
const GetTransitGatewayAttachmentPropagationsCommand_1 = require("./commands/GetTransitGatewayAttachmentPropagationsCommand");
const GetTransitGatewayMulticastDomainAssociationsCommand_1 = require("./commands/GetTransitGatewayMulticastDomainAssociationsCommand");
const GetTransitGatewayPolicyTableAssociationsCommand_1 = require("./commands/GetTransitGatewayPolicyTableAssociationsCommand");
const GetTransitGatewayPolicyTableEntriesCommand_1 = require("./commands/GetTransitGatewayPolicyTableEntriesCommand");
const GetTransitGatewayPrefixListReferencesCommand_1 = require("./commands/GetTransitGatewayPrefixListReferencesCommand");
const GetTransitGatewayRouteTableAssociationsCommand_1 = require("./commands/GetTransitGatewayRouteTableAssociationsCommand");
const GetTransitGatewayRouteTablePropagationsCommand_1 = require("./commands/GetTransitGatewayRouteTablePropagationsCommand");
const GetVerifiedAccessEndpointPolicyCommand_1 = require("./commands/GetVerifiedAccessEndpointPolicyCommand");
const GetVerifiedAccessGroupPolicyCommand_1 = require("./commands/GetVerifiedAccessGroupPolicyCommand");
const GetVpnConnectionDeviceSampleConfigurationCommand_1 = require("./commands/GetVpnConnectionDeviceSampleConfigurationCommand");
const GetVpnConnectionDeviceTypesCommand_1 = require("./commands/GetVpnConnectionDeviceTypesCommand");
const GetVpnTunnelReplacementStatusCommand_1 = require("./commands/GetVpnTunnelReplacementStatusCommand");
const ImportClientVpnClientCertificateRevocationListCommand_1 = require("./commands/ImportClientVpnClientCertificateRevocationListCommand");
const ImportImageCommand_1 = require("./commands/ImportImageCommand");
const ImportInstanceCommand_1 = require("./commands/ImportInstanceCommand");
const ImportKeyPairCommand_1 = require("./commands/ImportKeyPairCommand");
const ImportSnapshotCommand_1 = require("./commands/ImportSnapshotCommand");
const ImportVolumeCommand_1 = require("./commands/ImportVolumeCommand");
const ListImagesInRecycleBinCommand_1 = require("./commands/ListImagesInRecycleBinCommand");
const ListSnapshotsInRecycleBinCommand_1 = require("./commands/ListSnapshotsInRecycleBinCommand");
const ModifyAddressAttributeCommand_1 = require("./commands/ModifyAddressAttributeCommand");
const ModifyAvailabilityZoneGroupCommand_1 = require("./commands/ModifyAvailabilityZoneGroupCommand");
const ModifyCapacityReservationCommand_1 = require("./commands/ModifyCapacityReservationCommand");
const ModifyCapacityReservationFleetCommand_1 = require("./commands/ModifyCapacityReservationFleetCommand");
const ModifyClientVpnEndpointCommand_1 = require("./commands/ModifyClientVpnEndpointCommand");
const ModifyDefaultCreditSpecificationCommand_1 = require("./commands/ModifyDefaultCreditSpecificationCommand");
const ModifyEbsDefaultKmsKeyIdCommand_1 = require("./commands/ModifyEbsDefaultKmsKeyIdCommand");
const ModifyFleetCommand_1 = require("./commands/ModifyFleetCommand");
const ModifyFpgaImageAttributeCommand_1 = require("./commands/ModifyFpgaImageAttributeCommand");
const ModifyHostsCommand_1 = require("./commands/ModifyHostsCommand");
const ModifyIdentityIdFormatCommand_1 = require("./commands/ModifyIdentityIdFormatCommand");
const ModifyIdFormatCommand_1 = require("./commands/ModifyIdFormatCommand");
const ModifyImageAttributeCommand_1 = require("./commands/ModifyImageAttributeCommand");
const ModifyInstanceAttributeCommand_1 = require("./commands/ModifyInstanceAttributeCommand");
const ModifyInstanceCapacityReservationAttributesCommand_1 = require("./commands/ModifyInstanceCapacityReservationAttributesCommand");
const ModifyInstanceCreditSpecificationCommand_1 = require("./commands/ModifyInstanceCreditSpecificationCommand");
const ModifyInstanceEventStartTimeCommand_1 = require("./commands/ModifyInstanceEventStartTimeCommand");
const ModifyInstanceEventWindowCommand_1 = require("./commands/ModifyInstanceEventWindowCommand");
const ModifyInstanceMaintenanceOptionsCommand_1 = require("./commands/ModifyInstanceMaintenanceOptionsCommand");
const ModifyInstanceMetadataOptionsCommand_1 = require("./commands/ModifyInstanceMetadataOptionsCommand");
const ModifyInstancePlacementCommand_1 = require("./commands/ModifyInstancePlacementCommand");
const ModifyIpamCommand_1 = require("./commands/ModifyIpamCommand");
const ModifyIpamPoolCommand_1 = require("./commands/ModifyIpamPoolCommand");
const ModifyIpamResourceCidrCommand_1 = require("./commands/ModifyIpamResourceCidrCommand");
const ModifyIpamResourceDiscoveryCommand_1 = require("./commands/ModifyIpamResourceDiscoveryCommand");
const ModifyIpamScopeCommand_1 = require("./commands/ModifyIpamScopeCommand");
const ModifyLaunchTemplateCommand_1 = require("./commands/ModifyLaunchTemplateCommand");
const ModifyLocalGatewayRouteCommand_1 = require("./commands/ModifyLocalGatewayRouteCommand");
const ModifyManagedPrefixListCommand_1 = require("./commands/ModifyManagedPrefixListCommand");
const ModifyNetworkInterfaceAttributeCommand_1 = require("./commands/ModifyNetworkInterfaceAttributeCommand");
const ModifyPrivateDnsNameOptionsCommand_1 = require("./commands/ModifyPrivateDnsNameOptionsCommand");
const ModifyReservedInstancesCommand_1 = require("./commands/ModifyReservedInstancesCommand");
const ModifySecurityGroupRulesCommand_1 = require("./commands/ModifySecurityGroupRulesCommand");
const ModifySnapshotAttributeCommand_1 = require("./commands/ModifySnapshotAttributeCommand");
const ModifySnapshotTierCommand_1 = require("./commands/ModifySnapshotTierCommand");
const ModifySpotFleetRequestCommand_1 = require("./commands/ModifySpotFleetRequestCommand");
const ModifySubnetAttributeCommand_1 = require("./commands/ModifySubnetAttributeCommand");
const ModifyTrafficMirrorFilterNetworkServicesCommand_1 = require("./commands/ModifyTrafficMirrorFilterNetworkServicesCommand");
const ModifyTrafficMirrorFilterRuleCommand_1 = require("./commands/ModifyTrafficMirrorFilterRuleCommand");
const ModifyTrafficMirrorSessionCommand_1 = require("./commands/ModifyTrafficMirrorSessionCommand");
const ModifyTransitGatewayCommand_1 = require("./commands/ModifyTransitGatewayCommand");
const ModifyTransitGatewayPrefixListReferenceCommand_1 = require("./commands/ModifyTransitGatewayPrefixListReferenceCommand");
const ModifyTransitGatewayVpcAttachmentCommand_1 = require("./commands/ModifyTransitGatewayVpcAttachmentCommand");
const ModifyVerifiedAccessEndpointCommand_1 = require("./commands/ModifyVerifiedAccessEndpointCommand");
const ModifyVerifiedAccessEndpointPolicyCommand_1 = require("./commands/ModifyVerifiedAccessEndpointPolicyCommand");
const ModifyVerifiedAccessGroupCommand_1 = require("./commands/ModifyVerifiedAccessGroupCommand");
const ModifyVerifiedAccessGroupPolicyCommand_1 = require("./commands/ModifyVerifiedAccessGroupPolicyCommand");
const ModifyVerifiedAccessInstanceCommand_1 = require("./commands/ModifyVerifiedAccessInstanceCommand");
const ModifyVerifiedAccessInstanceLoggingConfigurationCommand_1 = require("./commands/ModifyVerifiedAccessInstanceLoggingConfigurationCommand");
const ModifyVerifiedAccessTrustProviderCommand_1 = require("./commands/ModifyVerifiedAccessTrustProviderCommand");
const ModifyVolumeAttributeCommand_1 = require("./commands/ModifyVolumeAttributeCommand");
const ModifyVolumeCommand_1 = require("./commands/ModifyVolumeCommand");
const ModifyVpcAttributeCommand_1 = require("./commands/ModifyVpcAttributeCommand");
const ModifyVpcEndpointCommand_1 = require("./commands/ModifyVpcEndpointCommand");
const ModifyVpcEndpointConnectionNotificationCommand_1 = require("./commands/ModifyVpcEndpointConnectionNotificationCommand");
const ModifyVpcEndpointServiceConfigurationCommand_1 = require("./commands/ModifyVpcEndpointServiceConfigurationCommand");
const ModifyVpcEndpointServicePayerResponsibilityCommand_1 = require("./commands/ModifyVpcEndpointServicePayerResponsibilityCommand");
const ModifyVpcEndpointServicePermissionsCommand_1 = require("./commands/ModifyVpcEndpointServicePermissionsCommand");
const ModifyVpcPeeringConnectionOptionsCommand_1 = require("./commands/ModifyVpcPeeringConnectionOptionsCommand");
const ModifyVpcTenancyCommand_1 = require("./commands/ModifyVpcTenancyCommand");
const ModifyVpnConnectionCommand_1 = require("./commands/ModifyVpnConnectionCommand");
const ModifyVpnConnectionOptionsCommand_1 = require("./commands/ModifyVpnConnectionOptionsCommand");
const ModifyVpnTunnelCertificateCommand_1 = require("./commands/ModifyVpnTunnelCertificateCommand");
const ModifyVpnTunnelOptionsCommand_1 = require("./commands/ModifyVpnTunnelOptionsCommand");
const MonitorInstancesCommand_1 = require("./commands/MonitorInstancesCommand");
const MoveAddressToVpcCommand_1 = require("./commands/MoveAddressToVpcCommand");
const MoveByoipCidrToIpamCommand_1 = require("./commands/MoveByoipCidrToIpamCommand");
const ProvisionByoipCidrCommand_1 = require("./commands/ProvisionByoipCidrCommand");
const ProvisionIpamPoolCidrCommand_1 = require("./commands/ProvisionIpamPoolCidrCommand");
const ProvisionPublicIpv4PoolCidrCommand_1 = require("./commands/ProvisionPublicIpv4PoolCidrCommand");
const PurchaseHostReservationCommand_1 = require("./commands/PurchaseHostReservationCommand");
const PurchaseReservedInstancesOfferingCommand_1 = require("./commands/PurchaseReservedInstancesOfferingCommand");
const PurchaseScheduledInstancesCommand_1 = require("./commands/PurchaseScheduledInstancesCommand");
const RebootInstancesCommand_1 = require("./commands/RebootInstancesCommand");
const RegisterImageCommand_1 = require("./commands/RegisterImageCommand");
const RegisterInstanceEventNotificationAttributesCommand_1 = require("./commands/RegisterInstanceEventNotificationAttributesCommand");
const RegisterTransitGatewayMulticastGroupMembersCommand_1 = require("./commands/RegisterTransitGatewayMulticastGroupMembersCommand");
const RegisterTransitGatewayMulticastGroupSourcesCommand_1 = require("./commands/RegisterTransitGatewayMulticastGroupSourcesCommand");
const RejectTransitGatewayMulticastDomainAssociationsCommand_1 = require("./commands/RejectTransitGatewayMulticastDomainAssociationsCommand");
const RejectTransitGatewayPeeringAttachmentCommand_1 = require("./commands/RejectTransitGatewayPeeringAttachmentCommand");
const RejectTransitGatewayVpcAttachmentCommand_1 = require("./commands/RejectTransitGatewayVpcAttachmentCommand");
const RejectVpcEndpointConnectionsCommand_1 = require("./commands/RejectVpcEndpointConnectionsCommand");
const RejectVpcPeeringConnectionCommand_1 = require("./commands/RejectVpcPeeringConnectionCommand");
const ReleaseAddressCommand_1 = require("./commands/ReleaseAddressCommand");
const ReleaseHostsCommand_1 = require("./commands/ReleaseHostsCommand");
const ReleaseIpamPoolAllocationCommand_1 = require("./commands/ReleaseIpamPoolAllocationCommand");
const ReplaceIamInstanceProfileAssociationCommand_1 = require("./commands/ReplaceIamInstanceProfileAssociationCommand");
const ReplaceNetworkAclAssociationCommand_1 = require("./commands/ReplaceNetworkAclAssociationCommand");
const ReplaceNetworkAclEntryCommand_1 = require("./commands/ReplaceNetworkAclEntryCommand");
const ReplaceRouteCommand_1 = require("./commands/ReplaceRouteCommand");
const ReplaceRouteTableAssociationCommand_1 = require("./commands/ReplaceRouteTableAssociationCommand");
const ReplaceTransitGatewayRouteCommand_1 = require("./commands/ReplaceTransitGatewayRouteCommand");
const ReplaceVpnTunnelCommand_1 = require("./commands/ReplaceVpnTunnelCommand");
const ReportInstanceStatusCommand_1 = require("./commands/ReportInstanceStatusCommand");
const RequestSpotFleetCommand_1 = require("./commands/RequestSpotFleetCommand");
const RequestSpotInstancesCommand_1 = require("./commands/RequestSpotInstancesCommand");
const ResetAddressAttributeCommand_1 = require("./commands/ResetAddressAttributeCommand");
const ResetEbsDefaultKmsKeyIdCommand_1 = require("./commands/ResetEbsDefaultKmsKeyIdCommand");
const ResetFpgaImageAttributeCommand_1 = require("./commands/ResetFpgaImageAttributeCommand");
const ResetImageAttributeCommand_1 = require("./commands/ResetImageAttributeCommand");
const ResetInstanceAttributeCommand_1 = require("./commands/ResetInstanceAttributeCommand");
const ResetNetworkInterfaceAttributeCommand_1 = require("./commands/ResetNetworkInterfaceAttributeCommand");
const ResetSnapshotAttributeCommand_1 = require("./commands/ResetSnapshotAttributeCommand");
const RestoreAddressToClassicCommand_1 = require("./commands/RestoreAddressToClassicCommand");
const RestoreImageFromRecycleBinCommand_1 = require("./commands/RestoreImageFromRecycleBinCommand");
const RestoreManagedPrefixListVersionCommand_1 = require("./commands/RestoreManagedPrefixListVersionCommand");
const RestoreSnapshotFromRecycleBinCommand_1 = require("./commands/RestoreSnapshotFromRecycleBinCommand");
const RestoreSnapshotTierCommand_1 = require("./commands/RestoreSnapshotTierCommand");
const RevokeClientVpnIngressCommand_1 = require("./commands/RevokeClientVpnIngressCommand");
const RevokeSecurityGroupEgressCommand_1 = require("./commands/RevokeSecurityGroupEgressCommand");
const RevokeSecurityGroupIngressCommand_1 = require("./commands/RevokeSecurityGroupIngressCommand");
const RunInstancesCommand_1 = require("./commands/RunInstancesCommand");
const RunScheduledInstancesCommand_1 = require("./commands/RunScheduledInstancesCommand");
const SearchLocalGatewayRoutesCommand_1 = require("./commands/SearchLocalGatewayRoutesCommand");
const SearchTransitGatewayMulticastGroupsCommand_1 = require("./commands/SearchTransitGatewayMulticastGroupsCommand");
const SearchTransitGatewayRoutesCommand_1 = require("./commands/SearchTransitGatewayRoutesCommand");
const SendDiagnosticInterruptCommand_1 = require("./commands/SendDiagnosticInterruptCommand");
const StartInstancesCommand_1 = require("./commands/StartInstancesCommand");
const StartNetworkInsightsAccessScopeAnalysisCommand_1 = require("./commands/StartNetworkInsightsAccessScopeAnalysisCommand");
const StartNetworkInsightsAnalysisCommand_1 = require("./commands/StartNetworkInsightsAnalysisCommand");
const StartVpcEndpointServicePrivateDnsVerificationCommand_1 = require("./commands/StartVpcEndpointServicePrivateDnsVerificationCommand");
const StopInstancesCommand_1 = require("./commands/StopInstancesCommand");
const TerminateClientVpnConnectionsCommand_1 = require("./commands/TerminateClientVpnConnectionsCommand");
const TerminateInstancesCommand_1 = require("./commands/TerminateInstancesCommand");
const UnassignIpv6AddressesCommand_1 = require("./commands/UnassignIpv6AddressesCommand");
const UnassignPrivateIpAddressesCommand_1 = require("./commands/UnassignPrivateIpAddressesCommand");
const UnassignPrivateNatGatewayAddressCommand_1 = require("./commands/UnassignPrivateNatGatewayAddressCommand");
const UnmonitorInstancesCommand_1 = require("./commands/UnmonitorInstancesCommand");
const UpdateSecurityGroupRuleDescriptionsEgressCommand_1 = require("./commands/UpdateSecurityGroupRuleDescriptionsEgressCommand");
const UpdateSecurityGroupRuleDescriptionsIngressCommand_1 = require("./commands/UpdateSecurityGroupRuleDescriptionsIngressCommand");
const WithdrawByoipCidrCommand_1 = require("./commands/WithdrawByoipCidrCommand");
const EC2Client_1 = require("./EC2Client");
const commands = {
    AcceptAddressTransferCommand: AcceptAddressTransferCommand_1.AcceptAddressTransferCommand,
    AcceptReservedInstancesExchangeQuoteCommand: AcceptReservedInstancesExchangeQuoteCommand_1.AcceptReservedInstancesExchangeQuoteCommand,
    AcceptTransitGatewayMulticastDomainAssociationsCommand: AcceptTransitGatewayMulticastDomainAssociationsCommand_1.AcceptTransitGatewayMulticastDomainAssociationsCommand,
    AcceptTransitGatewayPeeringAttachmentCommand: AcceptTransitGatewayPeeringAttachmentCommand_1.AcceptTransitGatewayPeeringAttachmentCommand,
    AcceptTransitGatewayVpcAttachmentCommand: AcceptTransitGatewayVpcAttachmentCommand_1.AcceptTransitGatewayVpcAttachmentCommand,
    AcceptVpcEndpointConnectionsCommand: AcceptVpcEndpointConnectionsCommand_1.AcceptVpcEndpointConnectionsCommand,
    AcceptVpcPeeringConnectionCommand: AcceptVpcPeeringConnectionCommand_1.AcceptVpcPeeringConnectionCommand,
    AdvertiseByoipCidrCommand: AdvertiseByoipCidrCommand_1.AdvertiseByoipCidrCommand,
    AllocateAddressCommand: AllocateAddressCommand_1.AllocateAddressCommand,
    AllocateHostsCommand: AllocateHostsCommand_1.AllocateHostsCommand,
    AllocateIpamPoolCidrCommand: AllocateIpamPoolCidrCommand_1.AllocateIpamPoolCidrCommand,
    ApplySecurityGroupsToClientVpnTargetNetworkCommand: ApplySecurityGroupsToClientVpnTargetNetworkCommand_1.ApplySecurityGroupsToClientVpnTargetNetworkCommand,
    AssignIpv6AddressesCommand: AssignIpv6AddressesCommand_1.AssignIpv6AddressesCommand,
    AssignPrivateIpAddressesCommand: AssignPrivateIpAddressesCommand_1.AssignPrivateIpAddressesCommand,
    AssignPrivateNatGatewayAddressCommand: AssignPrivateNatGatewayAddressCommand_1.AssignPrivateNatGatewayAddressCommand,
    AssociateAddressCommand: AssociateAddressCommand_1.AssociateAddressCommand,
    AssociateClientVpnTargetNetworkCommand: AssociateClientVpnTargetNetworkCommand_1.AssociateClientVpnTargetNetworkCommand,
    AssociateDhcpOptionsCommand: AssociateDhcpOptionsCommand_1.AssociateDhcpOptionsCommand,
    AssociateEnclaveCertificateIamRoleCommand: AssociateEnclaveCertificateIamRoleCommand_1.AssociateEnclaveCertificateIamRoleCommand,
    AssociateIamInstanceProfileCommand: AssociateIamInstanceProfileCommand_1.AssociateIamInstanceProfileCommand,
    AssociateInstanceEventWindowCommand: AssociateInstanceEventWindowCommand_1.AssociateInstanceEventWindowCommand,
    AssociateIpamResourceDiscoveryCommand: AssociateIpamResourceDiscoveryCommand_1.AssociateIpamResourceDiscoveryCommand,
    AssociateNatGatewayAddressCommand: AssociateNatGatewayAddressCommand_1.AssociateNatGatewayAddressCommand,
    AssociateRouteTableCommand: AssociateRouteTableCommand_1.AssociateRouteTableCommand,
    AssociateSubnetCidrBlockCommand: AssociateSubnetCidrBlockCommand_1.AssociateSubnetCidrBlockCommand,
    AssociateTransitGatewayMulticastDomainCommand: AssociateTransitGatewayMulticastDomainCommand_1.AssociateTransitGatewayMulticastDomainCommand,
    AssociateTransitGatewayPolicyTableCommand: AssociateTransitGatewayPolicyTableCommand_1.AssociateTransitGatewayPolicyTableCommand,
    AssociateTransitGatewayRouteTableCommand: AssociateTransitGatewayRouteTableCommand_1.AssociateTransitGatewayRouteTableCommand,
    AssociateTrunkInterfaceCommand: AssociateTrunkInterfaceCommand_1.AssociateTrunkInterfaceCommand,
    AssociateVpcCidrBlockCommand: AssociateVpcCidrBlockCommand_1.AssociateVpcCidrBlockCommand,
    AttachClassicLinkVpcCommand: AttachClassicLinkVpcCommand_1.AttachClassicLinkVpcCommand,
    AttachInternetGatewayCommand: AttachInternetGatewayCommand_1.AttachInternetGatewayCommand,
    AttachNetworkInterfaceCommand: AttachNetworkInterfaceCommand_1.AttachNetworkInterfaceCommand,
    AttachVerifiedAccessTrustProviderCommand: AttachVerifiedAccessTrustProviderCommand_1.AttachVerifiedAccessTrustProviderCommand,
    AttachVolumeCommand: AttachVolumeCommand_1.AttachVolumeCommand,
    AttachVpnGatewayCommand: AttachVpnGatewayCommand_1.AttachVpnGatewayCommand,
    AuthorizeClientVpnIngressCommand: AuthorizeClientVpnIngressCommand_1.AuthorizeClientVpnIngressCommand,
    AuthorizeSecurityGroupEgressCommand: AuthorizeSecurityGroupEgressCommand_1.AuthorizeSecurityGroupEgressCommand,
    AuthorizeSecurityGroupIngressCommand: AuthorizeSecurityGroupIngressCommand_1.AuthorizeSecurityGroupIngressCommand,
    BundleInstanceCommand: BundleInstanceCommand_1.BundleInstanceCommand,
    CancelBundleTaskCommand: CancelBundleTaskCommand_1.CancelBundleTaskCommand,
    CancelCapacityReservationCommand: CancelCapacityReservationCommand_1.CancelCapacityReservationCommand,
    CancelCapacityReservationFleetsCommand: CancelCapacityReservationFleetsCommand_1.CancelCapacityReservationFleetsCommand,
    CancelConversionTaskCommand: CancelConversionTaskCommand_1.CancelConversionTaskCommand,
    CancelExportTaskCommand: CancelExportTaskCommand_1.CancelExportTaskCommand,
    CancelImageLaunchPermissionCommand: CancelImageLaunchPermissionCommand_1.CancelImageLaunchPermissionCommand,
    CancelImportTaskCommand: CancelImportTaskCommand_1.CancelImportTaskCommand,
    CancelReservedInstancesListingCommand: CancelReservedInstancesListingCommand_1.CancelReservedInstancesListingCommand,
    CancelSpotFleetRequestsCommand: CancelSpotFleetRequestsCommand_1.CancelSpotFleetRequestsCommand,
    CancelSpotInstanceRequestsCommand: CancelSpotInstanceRequestsCommand_1.CancelSpotInstanceRequestsCommand,
    ConfirmProductInstanceCommand: ConfirmProductInstanceCommand_1.ConfirmProductInstanceCommand,
    CopyFpgaImageCommand: CopyFpgaImageCommand_1.CopyFpgaImageCommand,
    CopyImageCommand: CopyImageCommand_1.CopyImageCommand,
    CopySnapshotCommand: CopySnapshotCommand_1.CopySnapshotCommand,
    CreateCapacityReservationCommand: CreateCapacityReservationCommand_1.CreateCapacityReservationCommand,
    CreateCapacityReservationFleetCommand: CreateCapacityReservationFleetCommand_1.CreateCapacityReservationFleetCommand,
    CreateCarrierGatewayCommand: CreateCarrierGatewayCommand_1.CreateCarrierGatewayCommand,
    CreateClientVpnEndpointCommand: CreateClientVpnEndpointCommand_1.CreateClientVpnEndpointCommand,
    CreateClientVpnRouteCommand: CreateClientVpnRouteCommand_1.CreateClientVpnRouteCommand,
    CreateCoipCidrCommand: CreateCoipCidrCommand_1.CreateCoipCidrCommand,
    CreateCoipPoolCommand: CreateCoipPoolCommand_1.CreateCoipPoolCommand,
    CreateCustomerGatewayCommand: CreateCustomerGatewayCommand_1.CreateCustomerGatewayCommand,
    CreateDefaultSubnetCommand: CreateDefaultSubnetCommand_1.CreateDefaultSubnetCommand,
    CreateDefaultVpcCommand: CreateDefaultVpcCommand_1.CreateDefaultVpcCommand,
    CreateDhcpOptionsCommand: CreateDhcpOptionsCommand_1.CreateDhcpOptionsCommand,
    CreateEgressOnlyInternetGatewayCommand: CreateEgressOnlyInternetGatewayCommand_1.CreateEgressOnlyInternetGatewayCommand,
    CreateFleetCommand: CreateFleetCommand_1.CreateFleetCommand,
    CreateFlowLogsCommand: CreateFlowLogsCommand_1.CreateFlowLogsCommand,
    CreateFpgaImageCommand: CreateFpgaImageCommand_1.CreateFpgaImageCommand,
    CreateImageCommand: CreateImageCommand_1.CreateImageCommand,
    CreateInstanceConnectEndpointCommand: CreateInstanceConnectEndpointCommand_1.CreateInstanceConnectEndpointCommand,
    CreateInstanceEventWindowCommand: CreateInstanceEventWindowCommand_1.CreateInstanceEventWindowCommand,
    CreateInstanceExportTaskCommand: CreateInstanceExportTaskCommand_1.CreateInstanceExportTaskCommand,
    CreateInternetGatewayCommand: CreateInternetGatewayCommand_1.CreateInternetGatewayCommand,
    CreateIpamCommand: CreateIpamCommand_1.CreateIpamCommand,
    CreateIpamPoolCommand: CreateIpamPoolCommand_1.CreateIpamPoolCommand,
    CreateIpamResourceDiscoveryCommand: CreateIpamResourceDiscoveryCommand_1.CreateIpamResourceDiscoveryCommand,
    CreateIpamScopeCommand: CreateIpamScopeCommand_1.CreateIpamScopeCommand,
    CreateKeyPairCommand: CreateKeyPairCommand_1.CreateKeyPairCommand,
    CreateLaunchTemplateCommand: CreateLaunchTemplateCommand_1.CreateLaunchTemplateCommand,
    CreateLaunchTemplateVersionCommand: CreateLaunchTemplateVersionCommand_1.CreateLaunchTemplateVersionCommand,
    CreateLocalGatewayRouteCommand: CreateLocalGatewayRouteCommand_1.CreateLocalGatewayRouteCommand,
    CreateLocalGatewayRouteTableCommand: CreateLocalGatewayRouteTableCommand_1.CreateLocalGatewayRouteTableCommand,
    CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand: CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand_1.CreateLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand,
    CreateLocalGatewayRouteTableVpcAssociationCommand: CreateLocalGatewayRouteTableVpcAssociationCommand_1.CreateLocalGatewayRouteTableVpcAssociationCommand,
    CreateManagedPrefixListCommand: CreateManagedPrefixListCommand_1.CreateManagedPrefixListCommand,
    CreateNatGatewayCommand: CreateNatGatewayCommand_1.CreateNatGatewayCommand,
    CreateNetworkAclCommand: CreateNetworkAclCommand_1.CreateNetworkAclCommand,
    CreateNetworkAclEntryCommand: CreateNetworkAclEntryCommand_1.CreateNetworkAclEntryCommand,
    CreateNetworkInsightsAccessScopeCommand: CreateNetworkInsightsAccessScopeCommand_1.CreateNetworkInsightsAccessScopeCommand,
    CreateNetworkInsightsPathCommand: CreateNetworkInsightsPathCommand_1.CreateNetworkInsightsPathCommand,
    CreateNetworkInterfaceCommand: CreateNetworkInterfaceCommand_1.CreateNetworkInterfaceCommand,
    CreateNetworkInterfacePermissionCommand: CreateNetworkInterfacePermissionCommand_1.CreateNetworkInterfacePermissionCommand,
    CreatePlacementGroupCommand: CreatePlacementGroupCommand_1.CreatePlacementGroupCommand,
    CreatePublicIpv4PoolCommand: CreatePublicIpv4PoolCommand_1.CreatePublicIpv4PoolCommand,
    CreateReplaceRootVolumeTaskCommand: CreateReplaceRootVolumeTaskCommand_1.CreateReplaceRootVolumeTaskCommand,
    CreateReservedInstancesListingCommand: CreateReservedInstancesListingCommand_1.CreateReservedInstancesListingCommand,
    CreateRestoreImageTaskCommand: CreateRestoreImageTaskCommand_1.CreateRestoreImageTaskCommand,
    CreateRouteCommand: CreateRouteCommand_1.CreateRouteCommand,
    CreateRouteTableCommand: CreateRouteTableCommand_1.CreateRouteTableCommand,
    CreateSecurityGroupCommand: CreateSecurityGroupCommand_1.CreateSecurityGroupCommand,
    CreateSnapshotCommand: CreateSnapshotCommand_1.CreateSnapshotCommand,
    CreateSnapshotsCommand: CreateSnapshotsCommand_1.CreateSnapshotsCommand,
    CreateSpotDatafeedSubscriptionCommand: CreateSpotDatafeedSubscriptionCommand_1.CreateSpotDatafeedSubscriptionCommand,
    CreateStoreImageTaskCommand: CreateStoreImageTaskCommand_1.CreateStoreImageTaskCommand,
    CreateSubnetCommand: CreateSubnetCommand_1.CreateSubnetCommand,
    CreateSubnetCidrReservationCommand: CreateSubnetCidrReservationCommand_1.CreateSubnetCidrReservationCommand,
    CreateTagsCommand: CreateTagsCommand_1.CreateTagsCommand,
    CreateTrafficMirrorFilterCommand: CreateTrafficMirrorFilterCommand_1.CreateTrafficMirrorFilterCommand,
    CreateTrafficMirrorFilterRuleCommand: CreateTrafficMirrorFilterRuleCommand_1.CreateTrafficMirrorFilterRuleCommand,
    CreateTrafficMirrorSessionCommand: CreateTrafficMirrorSessionCommand_1.CreateTrafficMirrorSessionCommand,
    CreateTrafficMirrorTargetCommand: CreateTrafficMirrorTargetCommand_1.CreateTrafficMirrorTargetCommand,
    CreateTransitGatewayCommand: CreateTransitGatewayCommand_1.CreateTransitGatewayCommand,
    CreateTransitGatewayConnectCommand: CreateTransitGatewayConnectCommand_1.CreateTransitGatewayConnectCommand,
    CreateTransitGatewayConnectPeerCommand: CreateTransitGatewayConnectPeerCommand_1.CreateTransitGatewayConnectPeerCommand,
    CreateTransitGatewayMulticastDomainCommand: CreateTransitGatewayMulticastDomainCommand_1.CreateTransitGatewayMulticastDomainCommand,
    CreateTransitGatewayPeeringAttachmentCommand: CreateTransitGatewayPeeringAttachmentCommand_1.CreateTransitGatewayPeeringAttachmentCommand,
    CreateTransitGatewayPolicyTableCommand: CreateTransitGatewayPolicyTableCommand_1.CreateTransitGatewayPolicyTableCommand,
    CreateTransitGatewayPrefixListReferenceCommand: CreateTransitGatewayPrefixListReferenceCommand_1.CreateTransitGatewayPrefixListReferenceCommand,
    CreateTransitGatewayRouteCommand: CreateTransitGatewayRouteCommand_1.CreateTransitGatewayRouteCommand,
    CreateTransitGatewayRouteTableCommand: CreateTransitGatewayRouteTableCommand_1.CreateTransitGatewayRouteTableCommand,
    CreateTransitGatewayRouteTableAnnouncementCommand: CreateTransitGatewayRouteTableAnnouncementCommand_1.CreateTransitGatewayRouteTableAnnouncementCommand,
    CreateTransitGatewayVpcAttachmentCommand: CreateTransitGatewayVpcAttachmentCommand_1.CreateTransitGatewayVpcAttachmentCommand,
    CreateVerifiedAccessEndpointCommand: CreateVerifiedAccessEndpointCommand_1.CreateVerifiedAccessEndpointCommand,
    CreateVerifiedAccessGroupCommand: CreateVerifiedAccessGroupCommand_1.CreateVerifiedAccessGroupCommand,
    CreateVerifiedAccessInstanceCommand: CreateVerifiedAccessInstanceCommand_1.CreateVerifiedAccessInstanceCommand,
    CreateVerifiedAccessTrustProviderCommand: CreateVerifiedAccessTrustProviderCommand_1.CreateVerifiedAccessTrustProviderCommand,
    CreateVolumeCommand: CreateVolumeCommand_1.CreateVolumeCommand,
    CreateVpcCommand: CreateVpcCommand_1.CreateVpcCommand,
    CreateVpcEndpointCommand: CreateVpcEndpointCommand_1.CreateVpcEndpointCommand,
    CreateVpcEndpointConnectionNotificationCommand: CreateVpcEndpointConnectionNotificationCommand_1.CreateVpcEndpointConnectionNotificationCommand,
    CreateVpcEndpointServiceConfigurationCommand: CreateVpcEndpointServiceConfigurationCommand_1.CreateVpcEndpointServiceConfigurationCommand,
    CreateVpcPeeringConnectionCommand: CreateVpcPeeringConnectionCommand_1.CreateVpcPeeringConnectionCommand,
    CreateVpnConnectionCommand: CreateVpnConnectionCommand_1.CreateVpnConnectionCommand,
    CreateVpnConnectionRouteCommand: CreateVpnConnectionRouteCommand_1.CreateVpnConnectionRouteCommand,
    CreateVpnGatewayCommand: CreateVpnGatewayCommand_1.CreateVpnGatewayCommand,
    DeleteCarrierGatewayCommand: DeleteCarrierGatewayCommand_1.DeleteCarrierGatewayCommand,
    DeleteClientVpnEndpointCommand: DeleteClientVpnEndpointCommand_1.DeleteClientVpnEndpointCommand,
    DeleteClientVpnRouteCommand: DeleteClientVpnRouteCommand_1.DeleteClientVpnRouteCommand,
    DeleteCoipCidrCommand: DeleteCoipCidrCommand_1.DeleteCoipCidrCommand,
    DeleteCoipPoolCommand: DeleteCoipPoolCommand_1.DeleteCoipPoolCommand,
    DeleteCustomerGatewayCommand: DeleteCustomerGatewayCommand_1.DeleteCustomerGatewayCommand,
    DeleteDhcpOptionsCommand: DeleteDhcpOptionsCommand_1.DeleteDhcpOptionsCommand,
    DeleteEgressOnlyInternetGatewayCommand: DeleteEgressOnlyInternetGatewayCommand_1.DeleteEgressOnlyInternetGatewayCommand,
    DeleteFleetsCommand: DeleteFleetsCommand_1.DeleteFleetsCommand,
    DeleteFlowLogsCommand: DeleteFlowLogsCommand_1.DeleteFlowLogsCommand,
    DeleteFpgaImageCommand: DeleteFpgaImageCommand_1.DeleteFpgaImageCommand,
    DeleteInstanceConnectEndpointCommand: DeleteInstanceConnectEndpointCommand_1.DeleteInstanceConnectEndpointCommand,
    DeleteInstanceEventWindowCommand: DeleteInstanceEventWindowCommand_1.DeleteInstanceEventWindowCommand,
    DeleteInternetGatewayCommand: DeleteInternetGatewayCommand_1.DeleteInternetGatewayCommand,
    DeleteIpamCommand: DeleteIpamCommand_1.DeleteIpamCommand,
    DeleteIpamPoolCommand: DeleteIpamPoolCommand_1.DeleteIpamPoolCommand,
    DeleteIpamResourceDiscoveryCommand: DeleteIpamResourceDiscoveryCommand_1.DeleteIpamResourceDiscoveryCommand,
    DeleteIpamScopeCommand: DeleteIpamScopeCommand_1.DeleteIpamScopeCommand,
    DeleteKeyPairCommand: DeleteKeyPairCommand_1.DeleteKeyPairCommand,
    DeleteLaunchTemplateCommand: DeleteLaunchTemplateCommand_1.DeleteLaunchTemplateCommand,
    DeleteLaunchTemplateVersionsCommand: DeleteLaunchTemplateVersionsCommand_1.DeleteLaunchTemplateVersionsCommand,
    DeleteLocalGatewayRouteCommand: DeleteLocalGatewayRouteCommand_1.DeleteLocalGatewayRouteCommand,
    DeleteLocalGatewayRouteTableCommand: DeleteLocalGatewayRouteTableCommand_1.DeleteLocalGatewayRouteTableCommand,
    DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand: DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand_1.DeleteLocalGatewayRouteTableVirtualInterfaceGroupAssociationCommand,
    DeleteLocalGatewayRouteTableVpcAssociationCommand: DeleteLocalGatewayRouteTableVpcAssociationCommand_1.DeleteLocalGatewayRouteTableVpcAssociationCommand,
    DeleteManagedPrefixListCommand: DeleteManagedPrefixListCommand_1.DeleteManagedPrefixListCommand,
    DeleteNatGatewayCommand: DeleteNatGatewayCommand_1.DeleteNatGatewayCommand,
    DeleteNetworkAclCommand: DeleteNetworkAclCommand_1.DeleteNetworkAclCommand,
    DeleteNetworkAclEntryCommand: DeleteNetworkAclEntryCommand_1.DeleteNetworkAclEntryCommand,
    DeleteNetworkInsightsAccessScopeCommand: DeleteNetworkInsightsAccessScopeCommand_1.DeleteNetworkInsightsAccessScopeCommand,
    DeleteNetworkInsightsAccessScopeAnalysisCommand: DeleteNetworkInsightsAccessScopeAnalysisCommand_1.DeleteNetworkInsightsAccessScopeAnalysisCommand,
    DeleteNetworkInsightsAnalysisCommand: DeleteNetworkInsightsAnalysisCommand_1.DeleteNetworkInsightsAnalysisCommand,
    DeleteNetworkInsightsPathCommand: DeleteNetworkInsightsPathCommand_1.DeleteNetworkInsightsPathCommand,
    DeleteNetworkInterfaceCommand: DeleteNetworkInterfaceCommand_1.DeleteNetworkInterfaceCommand,
    DeleteNetworkInterfacePermissionCommand: DeleteNetworkInterfacePermissionCommand_1.DeleteNetworkInterfacePermissionCommand,
    DeletePlacementGroupCommand: DeletePlacementGroupCommand_1.DeletePlacementGroupCommand,
    DeletePublicIpv4PoolCommand: DeletePublicIpv4PoolCommand_1.DeletePublicIpv4PoolCommand,
    DeleteQueuedReservedInstancesCommand: DeleteQueuedReservedInstancesCommand_1.DeleteQueuedReservedInstancesCommand,
    DeleteRouteCommand: DeleteRouteCommand_1.DeleteRouteCommand,
    DeleteRouteTableCommand: DeleteRouteTableCommand_1.DeleteRouteTableCommand,
    DeleteSecurityGroupCommand: DeleteSecurityGroupCommand_1.DeleteSecurityGroupCommand,
    DeleteSnapshotCommand: DeleteSnapshotCommand_1.DeleteSnapshotCommand,
    DeleteSpotDatafeedSubscriptionCommand: DeleteSpotDatafeedSubscriptionCommand_1.DeleteSpotDatafeedSubscriptionCommand,
    DeleteSubnetCommand: DeleteSubnetCommand_1.DeleteSubnetCommand,
    DeleteSubnetCidrReservationCommand: DeleteSubnetCidrReservationCommand_1.DeleteSubnetCidrReservationCommand,
    DeleteTagsCommand: DeleteTagsCommand_1.DeleteTagsCommand,
    DeleteTrafficMirrorFilterCommand: DeleteTrafficMirrorFilterCommand_1.DeleteTrafficMirrorFilterCommand,
    DeleteTrafficMirrorFilterRuleCommand: DeleteTrafficMirrorFilterRuleCommand_1.DeleteTrafficMirrorFilterRuleCommand,
    DeleteTrafficMirrorSessionCommand: DeleteTrafficMirrorSessionCommand_1.DeleteTrafficMirrorSessionCommand,
    DeleteTrafficMirrorTargetCommand: DeleteTrafficMirrorTargetCommand_1.DeleteTrafficMirrorTargetCommand,
    DeleteTransitGatewayCommand: DeleteTransitGatewayCommand_1.DeleteTransitGatewayCommand,
    DeleteTransitGatewayConnectCommand: DeleteTransitGatewayConnectCommand_1.DeleteTransitGatewayConnectCommand,
    DeleteTransitGatewayConnectPeerCommand: DeleteTransitGatewayConnectPeerCommand_1.DeleteTransitGatewayConnectPeerCommand,
    DeleteTransitGatewayMulticastDomainCommand: DeleteTransitGatewayMulticastDomainCommand_1.DeleteTransitGatewayMulticastDomainCommand,
    DeleteTransitGatewayPeeringAttachmentCommand: DeleteTransitGatewayPeeringAttachmentCommand_1.DeleteTransitGatewayPeeringAttachmentCommand,
    DeleteTransitGatewayPolicyTableCommand: DeleteTransitGatewayPolicyTableCommand_1.DeleteTransitGatewayPolicyTableCommand,
    DeleteTransitGatewayPrefixListReferenceCommand: DeleteTransitGatewayPrefixListReferenceCommand_1.DeleteTransitGatewayPrefixListReferenceCommand,
    DeleteTransitGatewayRouteCommand: DeleteTransitGatewayRouteCommand_1.DeleteTransitGatewayRouteCommand,
    DeleteTransitGatewayRouteTableCommand: DeleteTransitGatewayRouteTableCommand_1.DeleteTransitGatewayRouteTableCommand,
    DeleteTransitGatewayRouteTableAnnouncementCommand: DeleteTransitGatewayRouteTableAnnouncementCommand_1.DeleteTransitGatewayRouteTableAnnouncementCommand,
    DeleteTransitGatewayVpcAttachmentCommand: DeleteTransitGatewayVpcAttachmentCommand_1.DeleteTransitGatewayVpcAttachmentCommand,
    DeleteVerifiedAccessEndpointCommand: DeleteVerifiedAccessEndpointCommand_1.DeleteVerifiedAccessEndpointCommand,
    DeleteVerifiedAccessGroupCommand: DeleteVerifiedAccessGroupCommand_1.DeleteVerifiedAccessGroupCommand,
    DeleteVerifiedAccessInstanceCommand: DeleteVerifiedAccessInstanceCommand_1.DeleteVerifiedAccessInstanceCommand,
    DeleteVerifiedAccessTrustProviderCommand: DeleteVerifiedAccessTrustProviderCommand_1.DeleteVerifiedAccessTrustProviderCommand,
    DeleteVolumeCommand: DeleteVolumeCommand_1.DeleteVolumeCommand,
    DeleteVpcCommand: DeleteVpcCommand_1.DeleteVpcCommand,
    DeleteVpcEndpointConnectionNotificationsCommand: DeleteVpcEndpointConnectionNotificationsCommand_1.DeleteVpcEndpointConnectionNotificationsCommand,
    DeleteVpcEndpointsCommand: DeleteVpcEndpointsCommand_1.DeleteVpcEndpointsCommand,
    DeleteVpcEndpointServiceConfigurationsCommand: DeleteVpcEndpointServiceConfigurationsCommand_1.DeleteVpcEndpointServiceConfigurationsCommand,
    DeleteVpcPeeringConnectionCommand: DeleteVpcPeeringConnectionCommand_1.DeleteVpcPeeringConnectionCommand,
    DeleteVpnConnectionCommand: DeleteVpnConnectionCommand_1.DeleteVpnConnectionCommand,
    DeleteVpnConnectionRouteCommand: DeleteVpnConnectionRouteCommand_1.DeleteVpnConnectionRouteCommand,
    DeleteVpnGatewayCommand: DeleteVpnGatewayCommand_1.DeleteVpnGatewayCommand,
    DeprovisionByoipCidrCommand: DeprovisionByoipCidrCommand_1.DeprovisionByoipCidrCommand,
    DeprovisionIpamPoolCidrCommand: DeprovisionIpamPoolCidrCommand_1.DeprovisionIpamPoolCidrCommand,
    DeprovisionPublicIpv4PoolCidrCommand: DeprovisionPublicIpv4PoolCidrCommand_1.DeprovisionPublicIpv4PoolCidrCommand,
    DeregisterImageCommand: DeregisterImageCommand_1.DeregisterImageCommand,
    DeregisterInstanceEventNotificationAttributesCommand: DeregisterInstanceEventNotificationAttributesCommand_1.DeregisterInstanceEventNotificationAttributesCommand,
    DeregisterTransitGatewayMulticastGroupMembersCommand: DeregisterTransitGatewayMulticastGroupMembersCommand_1.DeregisterTransitGatewayMulticastGroupMembersCommand,
    DeregisterTransitGatewayMulticastGroupSourcesCommand: DeregisterTransitGatewayMulticastGroupSourcesCommand_1.DeregisterTransitGatewayMulticastGroupSourcesCommand,
    DescribeAccountAttributesCommand: DescribeAccountAttributesCommand_1.DescribeAccountAttributesCommand,
    DescribeAddressesCommand: DescribeAddressesCommand_1.DescribeAddressesCommand,
    DescribeAddressesAttributeCommand: DescribeAddressesAttributeCommand_1.DescribeAddressesAttributeCommand,
    DescribeAddressTransfersCommand: DescribeAddressTransfersCommand_1.DescribeAddressTransfersCommand,
    DescribeAggregateIdFormatCommand: DescribeAggregateIdFormatCommand_1.DescribeAggregateIdFormatCommand,
    DescribeAvailabilityZonesCommand: DescribeAvailabilityZonesCommand_1.DescribeAvailabilityZonesCommand,
    DescribeAwsNetworkPerformanceMetricSubscriptionsCommand: DescribeAwsNetworkPerformanceMetricSubscriptionsCommand_1.DescribeAwsNetworkPerformanceMetricSubscriptionsCommand,
    DescribeBundleTasksCommand: DescribeBundleTasksCommand_1.DescribeBundleTasksCommand,
    DescribeByoipCidrsCommand: DescribeByoipCidrsCommand_1.DescribeByoipCidrsCommand,
    DescribeCapacityReservationFleetsCommand: DescribeCapacityReservationFleetsCommand_1.DescribeCapacityReservationFleetsCommand,
    DescribeCapacityReservationsCommand: DescribeCapacityReservationsCommand_1.DescribeCapacityReservationsCommand,
    DescribeCarrierGatewaysCommand: DescribeCarrierGatewaysCommand_1.DescribeCarrierGatewaysCommand,
    DescribeClassicLinkInstancesCommand: DescribeClassicLinkInstancesCommand_1.DescribeClassicLinkInstancesCommand,
    DescribeClientVpnAuthorizationRulesCommand: DescribeClientVpnAuthorizationRulesCommand_1.DescribeClientVpnAuthorizationRulesCommand,
    DescribeClientVpnConnectionsCommand: DescribeClientVpnConnectionsCommand_1.DescribeClientVpnConnectionsCommand,
    DescribeClientVpnEndpointsCommand: DescribeClientVpnEndpointsCommand_1.DescribeClientVpnEndpointsCommand,
    DescribeClientVpnRoutesCommand: DescribeClientVpnRoutesCommand_1.DescribeClientVpnRoutesCommand,
    DescribeClientVpnTargetNetworksCommand: DescribeClientVpnTargetNetworksCommand_1.DescribeClientVpnTargetNetworksCommand,
    DescribeCoipPoolsCommand: DescribeCoipPoolsCommand_1.DescribeCoipPoolsCommand,
    DescribeConversionTasksCommand: DescribeConversionTasksCommand_1.DescribeConversionTasksCommand,
    DescribeCustomerGatewaysCommand: DescribeCustomerGatewaysCommand_1.DescribeCustomerGatewaysCommand,
    DescribeDhcpOptionsCommand: DescribeDhcpOptionsCommand_1.DescribeDhcpOptionsCommand,
    DescribeEgressOnlyInternetGatewaysCommand: DescribeEgressOnlyInternetGatewaysCommand_1.DescribeEgressOnlyInternetGatewaysCommand,
    DescribeElasticGpusCommand: DescribeElasticGpusCommand_1.DescribeElasticGpusCommand,
    DescribeExportImageTasksCommand: DescribeExportImageTasksCommand_1.DescribeExportImageTasksCommand,
    DescribeExportTasksCommand: DescribeExportTasksCommand_1.DescribeExportTasksCommand,
    DescribeFastLaunchImagesCommand: DescribeFastLaunchImagesCommand_1.DescribeFastLaunchImagesCommand,
    DescribeFastSnapshotRestoresCommand: DescribeFastSnapshotRestoresCommand_1.DescribeFastSnapshotRestoresCommand,
    DescribeFleetHistoryCommand: DescribeFleetHistoryCommand_1.DescribeFleetHistoryCommand,
    DescribeFleetInstancesCommand: DescribeFleetInstancesCommand_1.DescribeFleetInstancesCommand,
    DescribeFleetsCommand: DescribeFleetsCommand_1.DescribeFleetsCommand,
    DescribeFlowLogsCommand: DescribeFlowLogsCommand_1.DescribeFlowLogsCommand,
    DescribeFpgaImageAttributeCommand: DescribeFpgaImageAttributeCommand_1.DescribeFpgaImageAttributeCommand,
    DescribeFpgaImagesCommand: DescribeFpgaImagesCommand_1.DescribeFpgaImagesCommand,
    DescribeHostReservationOfferingsCommand: DescribeHostReservationOfferingsCommand_1.DescribeHostReservationOfferingsCommand,
    DescribeHostReservationsCommand: DescribeHostReservationsCommand_1.DescribeHostReservationsCommand,
    DescribeHostsCommand: DescribeHostsCommand_1.DescribeHostsCommand,
    DescribeIamInstanceProfileAssociationsCommand: DescribeIamInstanceProfileAssociationsCommand_1.DescribeIamInstanceProfileAssociationsCommand,
    DescribeIdentityIdFormatCommand: DescribeIdentityIdFormatCommand_1.DescribeIdentityIdFormatCommand,
    DescribeIdFormatCommand: DescribeIdFormatCommand_1.DescribeIdFormatCommand,
    DescribeImageAttributeCommand: DescribeImageAttributeCommand_1.DescribeImageAttributeCommand,
    DescribeImagesCommand: DescribeImagesCommand_1.DescribeImagesCommand,
    DescribeImportImageTasksCommand: DescribeImportImageTasksCommand_1.DescribeImportImageTasksCommand,
    DescribeImportSnapshotTasksCommand: DescribeImportSnapshotTasksCommand_1.DescribeImportSnapshotTasksCommand,
    DescribeInstanceAttributeCommand: DescribeInstanceAttributeCommand_1.DescribeInstanceAttributeCommand,
    DescribeInstanceConnectEndpointsCommand: DescribeInstanceConnectEndpointsCommand_1.DescribeInstanceConnectEndpointsCommand,
    DescribeInstanceCreditSpecificationsCommand: DescribeInstanceCreditSpecificationsCommand_1.DescribeInstanceCreditSpecificationsCommand,
    DescribeInstanceEventNotificationAttributesCommand: DescribeInstanceEventNotificationAttributesCommand_1.DescribeInstanceEventNotificationAttributesCommand,
    DescribeInstanceEventWindowsCommand: DescribeInstanceEventWindowsCommand_1.DescribeInstanceEventWindowsCommand,
    DescribeInstancesCommand: DescribeInstancesCommand_1.DescribeInstancesCommand,
    DescribeInstanceStatusCommand: DescribeInstanceStatusCommand_1.DescribeInstanceStatusCommand,
    DescribeInstanceTypeOfferingsCommand: DescribeInstanceTypeOfferingsCommand_1.DescribeInstanceTypeOfferingsCommand,
    DescribeInstanceTypesCommand: DescribeInstanceTypesCommand_1.DescribeInstanceTypesCommand,
    DescribeInternetGatewaysCommand: DescribeInternetGatewaysCommand_1.DescribeInternetGatewaysCommand,
    DescribeIpamPoolsCommand: DescribeIpamPoolsCommand_1.DescribeIpamPoolsCommand,
    DescribeIpamResourceDiscoveriesCommand: DescribeIpamResourceDiscoveriesCommand_1.DescribeIpamResourceDiscoveriesCommand,
    DescribeIpamResourceDiscoveryAssociationsCommand: DescribeIpamResourceDiscoveryAssociationsCommand_1.DescribeIpamResourceDiscoveryAssociationsCommand,
    DescribeIpamsCommand: DescribeIpamsCommand_1.DescribeIpamsCommand,
    DescribeIpamScopesCommand: DescribeIpamScopesCommand_1.DescribeIpamScopesCommand,
    DescribeIpv6PoolsCommand: DescribeIpv6PoolsCommand_1.DescribeIpv6PoolsCommand,
    DescribeKeyPairsCommand: DescribeKeyPairsCommand_1.DescribeKeyPairsCommand,
    DescribeLaunchTemplatesCommand: DescribeLaunchTemplatesCommand_1.DescribeLaunchTemplatesCommand,
    DescribeLaunchTemplateVersionsCommand: DescribeLaunchTemplateVersionsCommand_1.DescribeLaunchTemplateVersionsCommand,
    DescribeLocalGatewayRouteTablesCommand: DescribeLocalGatewayRouteTablesCommand_1.DescribeLocalGatewayRouteTablesCommand,
    DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand: DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand_1.DescribeLocalGatewayRouteTableVirtualInterfaceGroupAssociationsCommand,
    DescribeLocalGatewayRouteTableVpcAssociationsCommand: DescribeLocalGatewayRouteTableVpcAssociationsCommand_1.DescribeLocalGatewayRouteTableVpcAssociationsCommand,
    DescribeLocalGatewaysCommand: DescribeLocalGatewaysCommand_1.DescribeLocalGatewaysCommand,
    DescribeLocalGatewayVirtualInterfaceGroupsCommand: DescribeLocalGatewayVirtualInterfaceGroupsCommand_1.DescribeLocalGatewayVirtualInterfaceGroupsCommand,
    DescribeLocalGatewayVirtualInterfacesCommand: DescribeLocalGatewayVirtualInterfacesCommand_1.DescribeLocalGatewayVirtualInterfacesCommand,
    DescribeManagedPrefixListsCommand: DescribeManagedPrefixListsCommand_1.DescribeManagedPrefixListsCommand,
    DescribeMovingAddressesCommand: DescribeMovingAddressesCommand_1.DescribeMovingAddressesCommand,
    DescribeNatGatewaysCommand: DescribeNatGatewaysCommand_1.DescribeNatGatewaysCommand,
    DescribeNetworkAclsCommand: DescribeNetworkAclsCommand_1.DescribeNetworkAclsCommand,
    DescribeNetworkInsightsAccessScopeAnalysesCommand: DescribeNetworkInsightsAccessScopeAnalysesCommand_1.DescribeNetworkInsightsAccessScopeAnalysesCommand,
    DescribeNetworkInsightsAccessScopesCommand: DescribeNetworkInsightsAccessScopesCommand_1.DescribeNetworkInsightsAccessScopesCommand,
    DescribeNetworkInsightsAnalysesCommand: DescribeNetworkInsightsAnalysesCommand_1.DescribeNetworkInsightsAnalysesCommand,
    DescribeNetworkInsightsPathsCommand: DescribeNetworkInsightsPathsCommand_1.DescribeNetworkInsightsPathsCommand,
    DescribeNetworkInterfaceAttributeCommand: DescribeNetworkInterfaceAttributeCommand_1.DescribeNetworkInterfaceAttributeCommand,
    DescribeNetworkInterfacePermissionsCommand: DescribeNetworkInterfacePermissionsCommand_1.DescribeNetworkInterfacePermissionsCommand,
    DescribeNetworkInterfacesCommand: DescribeNetworkInterfacesCommand_1.DescribeNetworkInterfacesCommand,
    DescribePlacementGroupsCommand: DescribePlacementGroupsCommand_1.DescribePlacementGroupsCommand,
    DescribePrefixListsCommand: DescribePrefixListsCommand_1.DescribePrefixListsCommand,
    DescribePrincipalIdFormatCommand: DescribePrincipalIdFormatCommand_1.DescribePrincipalIdFormatCommand,
    DescribePublicIpv4PoolsCommand: DescribePublicIpv4PoolsCommand_1.DescribePublicIpv4PoolsCommand,
    DescribeRegionsCommand: DescribeRegionsCommand_1.DescribeRegionsCommand,
    DescribeReplaceRootVolumeTasksCommand: DescribeReplaceRootVolumeTasksCommand_1.DescribeReplaceRootVolumeTasksCommand,
    DescribeReservedInstancesCommand: DescribeReservedInstancesCommand_1.DescribeReservedInstancesCommand,
    DescribeReservedInstancesListingsCommand: DescribeReservedInstancesListingsCommand_1.DescribeReservedInstancesListingsCommand,
    DescribeReservedInstancesModificationsCommand: DescribeReservedInstancesModificationsCommand_1.DescribeReservedInstancesModificationsCommand,
    DescribeReservedInstancesOfferingsCommand: DescribeReservedInstancesOfferingsCommand_1.DescribeReservedInstancesOfferingsCommand,
    DescribeRouteTablesCommand: DescribeRouteTablesCommand_1.DescribeRouteTablesCommand,
    DescribeScheduledInstanceAvailabilityCommand: DescribeScheduledInstanceAvailabilityCommand_1.DescribeScheduledInstanceAvailabilityCommand,
    DescribeScheduledInstancesCommand: DescribeScheduledInstancesCommand_1.DescribeScheduledInstancesCommand,
    DescribeSecurityGroupReferencesCommand: DescribeSecurityGroupReferencesCommand_1.DescribeSecurityGroupReferencesCommand,
    DescribeSecurityGroupRulesCommand: DescribeSecurityGroupRulesCommand_1.DescribeSecurityGroupRulesCommand,
    DescribeSecurityGroupsCommand: DescribeSecurityGroupsCommand_1.DescribeSecurityGroupsCommand,
    DescribeSnapshotAttributeCommand: DescribeSnapshotAttributeCommand_1.DescribeSnapshotAttributeCommand,
    DescribeSnapshotsCommand: DescribeSnapshotsCommand_1.DescribeSnapshotsCommand,
    DescribeSnapshotTierStatusCommand: DescribeSnapshotTierStatusCommand_1.DescribeSnapshotTierStatusCommand,
    DescribeSpotDatafeedSubscriptionCommand: DescribeSpotDatafeedSubscriptionCommand_1.DescribeSpotDatafeedSubscriptionCommand,
    DescribeSpotFleetInstancesCommand: DescribeSpotFleetInstancesCommand_1.DescribeSpotFleetInstancesCommand,
    DescribeSpotFleetRequestHistoryCommand: DescribeSpotFleetRequestHistoryCommand_1.DescribeSpotFleetRequestHistoryCommand,
    DescribeSpotFleetRequestsCommand: DescribeSpotFleetRequestsCommand_1.DescribeSpotFleetRequestsCommand,
    DescribeSpotInstanceRequestsCommand: DescribeSpotInstanceRequestsCommand_1.DescribeSpotInstanceRequestsCommand,
    DescribeSpotPriceHistoryCommand: DescribeSpotPriceHistoryCommand_1.DescribeSpotPriceHistoryCommand,
    DescribeStaleSecurityGroupsCommand: DescribeStaleSecurityGroupsCommand_1.DescribeStaleSecurityGroupsCommand,
    DescribeStoreImageTasksCommand: DescribeStoreImageTasksCommand_1.DescribeStoreImageTasksCommand,
    DescribeSubnetsCommand: DescribeSubnetsCommand_1.DescribeSubnetsCommand,
    DescribeTagsCommand: DescribeTagsCommand_1.DescribeTagsCommand,
    DescribeTrafficMirrorFiltersCommand: DescribeTrafficMirrorFiltersCommand_1.DescribeTrafficMirrorFiltersCommand,
    DescribeTrafficMirrorSessionsCommand: DescribeTrafficMirrorSessionsCommand_1.DescribeTrafficMirrorSessionsCommand,
    DescribeTrafficMirrorTargetsCommand: DescribeTrafficMirrorTargetsCommand_1.DescribeTrafficMirrorTargetsCommand,
    DescribeTransitGatewayAttachmentsCommand: DescribeTransitGatewayAttachmentsCommand_1.DescribeTransitGatewayAttachmentsCommand,
    DescribeTransitGatewayConnectPeersCommand: DescribeTransitGatewayConnectPeersCommand_1.DescribeTransitGatewayConnectPeersCommand,
    DescribeTransitGatewayConnectsCommand: DescribeTransitGatewayConnectsCommand_1.DescribeTransitGatewayConnectsCommand,
    DescribeTransitGatewayMulticastDomainsCommand: DescribeTransitGatewayMulticastDomainsCommand_1.DescribeTransitGatewayMulticastDomainsCommand,
    DescribeTransitGatewayPeeringAttachmentsCommand: DescribeTransitGatewayPeeringAttachmentsCommand_1.DescribeTransitGatewayPeeringAttachmentsCommand,
    DescribeTransitGatewayPolicyTablesCommand: DescribeTransitGatewayPolicyTablesCommand_1.DescribeTransitGatewayPolicyTablesCommand,
    DescribeTransitGatewayRouteTableAnnouncementsCommand: DescribeTransitGatewayRouteTableAnnouncementsCommand_1.DescribeTransitGatewayRouteTableAnnouncementsCommand,
    DescribeTransitGatewayRouteTablesCommand: DescribeTransitGatewayRouteTablesCommand_1.DescribeTransitGatewayRouteTablesCommand,
    DescribeTransitGatewaysCommand: DescribeTransitGatewaysCommand_1.DescribeTransitGatewaysCommand,
    DescribeTransitGatewayVpcAttachmentsCommand: DescribeTransitGatewayVpcAttachmentsCommand_1.DescribeTransitGatewayVpcAttachmentsCommand,
    DescribeTrunkInterfaceAssociationsCommand: DescribeTrunkInterfaceAssociationsCommand_1.DescribeTrunkInterfaceAssociationsCommand,
    DescribeVerifiedAccessEndpointsCommand: DescribeVerifiedAccessEndpointsCommand_1.DescribeVerifiedAccessEndpointsCommand,
    DescribeVerifiedAccessGroupsCommand: DescribeVerifiedAccessGroupsCommand_1.DescribeVerifiedAccessGroupsCommand,
    DescribeVerifiedAccessInstanceLoggingConfigurationsCommand: DescribeVerifiedAccessInstanceLoggingConfigurationsCommand_1.DescribeVerifiedAccessInstanceLoggingConfigurationsCommand,
    DescribeVerifiedAccessInstancesCommand: DescribeVerifiedAccessInstancesCommand_1.DescribeVerifiedAccessInstancesCommand,
    DescribeVerifiedAccessTrustProvidersCommand: DescribeVerifiedAccessTrustProvidersCommand_1.DescribeVerifiedAccessTrustProvidersCommand,
    DescribeVolumeAttributeCommand: DescribeVolumeAttributeCommand_1.DescribeVolumeAttributeCommand,
    DescribeVolumesCommand: DescribeVolumesCommand_1.DescribeVolumesCommand,
    DescribeVolumesModificationsCommand: DescribeVolumesModificationsCommand_1.DescribeVolumesModificationsCommand,
    DescribeVolumeStatusCommand: DescribeVolumeStatusCommand_1.DescribeVolumeStatusCommand,
    DescribeVpcAttributeCommand: DescribeVpcAttributeCommand_1.DescribeVpcAttributeCommand,
    DescribeVpcClassicLinkCommand: DescribeVpcClassicLinkCommand_1.DescribeVpcClassicLinkCommand,
    DescribeVpcClassicLinkDnsSupportCommand: DescribeVpcClassicLinkDnsSupportCommand_1.DescribeVpcClassicLinkDnsSupportCommand,
    DescribeVpcEndpointConnectionNotificationsCommand: DescribeVpcEndpointConnectionNotificationsCommand_1.DescribeVpcEndpointConnectionNotificationsCommand,
    DescribeVpcEndpointConnectionsCommand: DescribeVpcEndpointConnectionsCommand_1.DescribeVpcEndpointConnectionsCommand,
    DescribeVpcEndpointsCommand: DescribeVpcEndpointsCommand_1.DescribeVpcEndpointsCommand,
    DescribeVpcEndpointServiceConfigurationsCommand: DescribeVpcEndpointServiceConfigurationsCommand_1.DescribeVpcEndpointServiceConfigurationsCommand,
    DescribeVpcEndpointServicePermissionsCommand: DescribeVpcEndpointServicePermissionsCommand_1.DescribeVpcEndpointServicePermissionsCommand,
    DescribeVpcEndpointServicesCommand: DescribeVpcEndpointServicesCommand_1.DescribeVpcEndpointServicesCommand,
    DescribeVpcPeeringConnectionsCommand: DescribeVpcPeeringConnectionsCommand_1.DescribeVpcPeeringConnectionsCommand,
    DescribeVpcsCommand: DescribeVpcsCommand_1.DescribeVpcsCommand,
    DescribeVpnConnectionsCommand: DescribeVpnConnectionsCommand_1.DescribeVpnConnectionsCommand,
    DescribeVpnGatewaysCommand: DescribeVpnGatewaysCommand_1.DescribeVpnGatewaysCommand,
    DetachClassicLinkVpcCommand: DetachClassicLinkVpcCommand_1.DetachClassicLinkVpcCommand,
    DetachInternetGatewayCommand: DetachInternetGatewayCommand_1.DetachInternetGatewayCommand,
    DetachNetworkInterfaceCommand: DetachNetworkInterfaceCommand_1.DetachNetworkInterfaceCommand,
    DetachVerifiedAccessTrustProviderCommand: DetachVerifiedAccessTrustProviderCommand_1.DetachVerifiedAccessTrustProviderCommand,
    DetachVolumeCommand: DetachVolumeCommand_1.DetachVolumeCommand,
    DetachVpnGatewayCommand: DetachVpnGatewayCommand_1.DetachVpnGatewayCommand,
    DisableAddressTransferCommand: DisableAddressTransferCommand_1.DisableAddressTransferCommand,
    DisableAwsNetworkPerformanceMetricSubscriptionCommand: DisableAwsNetworkPerformanceMetricSubscriptionCommand_1.DisableAwsNetworkPerformanceMetricSubscriptionCommand,
    DisableEbsEncryptionByDefaultCommand: DisableEbsEncryptionByDefaultCommand_1.DisableEbsEncryptionByDefaultCommand,
    DisableFastLaunchCommand: DisableFastLaunchCommand_1.DisableFastLaunchCommand,
    DisableFastSnapshotRestoresCommand: DisableFastSnapshotRestoresCommand_1.DisableFastSnapshotRestoresCommand,
    DisableImageBlockPublicAccessCommand: DisableImageBlockPublicAccessCommand_1.DisableImageBlockPublicAccessCommand,
    DisableImageDeprecationCommand: DisableImageDeprecationCommand_1.DisableImageDeprecationCommand,
    DisableIpamOrganizationAdminAccountCommand: DisableIpamOrganizationAdminAccountCommand_1.DisableIpamOrganizationAdminAccountCommand,
    DisableSerialConsoleAccessCommand: DisableSerialConsoleAccessCommand_1.DisableSerialConsoleAccessCommand,
    DisableTransitGatewayRouteTablePropagationCommand: DisableTransitGatewayRouteTablePropagationCommand_1.DisableTransitGatewayRouteTablePropagationCommand,
    DisableVgwRoutePropagationCommand: DisableVgwRoutePropagationCommand_1.DisableVgwRoutePropagationCommand,
    DisableVpcClassicLinkCommand: DisableVpcClassicLinkCommand_1.DisableVpcClassicLinkCommand,
    DisableVpcClassicLinkDnsSupportCommand: DisableVpcClassicLinkDnsSupportCommand_1.DisableVpcClassicLinkDnsSupportCommand,
    DisassociateAddressCommand: DisassociateAddressCommand_1.DisassociateAddressCommand,
    DisassociateClientVpnTargetNetworkCommand: DisassociateClientVpnTargetNetworkCommand_1.DisassociateClientVpnTargetNetworkCommand,
    DisassociateEnclaveCertificateIamRoleCommand: DisassociateEnclaveCertificateIamRoleCommand_1.DisassociateEnclaveCertificateIamRoleCommand,
    DisassociateIamInstanceProfileCommand: DisassociateIamInstanceProfileCommand_1.DisassociateIamInstanceProfileCommand,
    DisassociateInstanceEventWindowCommand: DisassociateInstanceEventWindowCommand_1.DisassociateInstanceEventWindowCommand,
    DisassociateIpamResourceDiscoveryCommand: DisassociateIpamResourceDiscoveryCommand_1.DisassociateIpamResourceDiscoveryCommand,
    DisassociateNatGatewayAddressCommand: DisassociateNatGatewayAddressCommand_1.DisassociateNatGatewayAddressCommand,
    DisassociateRouteTableCommand: DisassociateRouteTableCommand_1.DisassociateRouteTableCommand,
    DisassociateSubnetCidrBlockCommand: DisassociateSubnetCidrBlockCommand_1.DisassociateSubnetCidrBlockCommand,
    DisassociateTransitGatewayMulticastDomainCommand: DisassociateTransitGatewayMulticastDomainCommand_1.DisassociateTransitGatewayMulticastDomainCommand,
    DisassociateTransitGatewayPolicyTableCommand: DisassociateTransitGatewayPolicyTableCommand_1.DisassociateTransitGatewayPolicyTableCommand,
    DisassociateTransitGatewayRouteTableCommand: DisassociateTransitGatewayRouteTableCommand_1.DisassociateTransitGatewayRouteTableCommand,
    DisassociateTrunkInterfaceCommand: DisassociateTrunkInterfaceCommand_1.DisassociateTrunkInterfaceCommand,
    DisassociateVpcCidrBlockCommand: DisassociateVpcCidrBlockCommand_1.DisassociateVpcCidrBlockCommand,
    EnableAddressTransferCommand: EnableAddressTransferCommand_1.EnableAddressTransferCommand,
    EnableAwsNetworkPerformanceMetricSubscriptionCommand: EnableAwsNetworkPerformanceMetricSubscriptionCommand_1.EnableAwsNetworkPerformanceMetricSubscriptionCommand,
    EnableEbsEncryptionByDefaultCommand: EnableEbsEncryptionByDefaultCommand_1.EnableEbsEncryptionByDefaultCommand,
    EnableFastLaunchCommand: EnableFastLaunchCommand_1.EnableFastLaunchCommand,
    EnableFastSnapshotRestoresCommand: EnableFastSnapshotRestoresCommand_1.EnableFastSnapshotRestoresCommand,
    EnableImageBlockPublicAccessCommand: EnableImageBlockPublicAccessCommand_1.EnableImageBlockPublicAccessCommand,
    EnableImageDeprecationCommand: EnableImageDeprecationCommand_1.EnableImageDeprecationCommand,
    EnableIpamOrganizationAdminAccountCommand: EnableIpamOrganizationAdminAccountCommand_1.EnableIpamOrganizationAdminAccountCommand,
    EnableReachabilityAnalyzerOrganizationSharingCommand: EnableReachabilityAnalyzerOrganizationSharingCommand_1.EnableReachabilityAnalyzerOrganizationSharingCommand,
    EnableSerialConsoleAccessCommand: EnableSerialConsoleAccessCommand_1.EnableSerialConsoleAccessCommand,
    EnableTransitGatewayRouteTablePropagationCommand: EnableTransitGatewayRouteTablePropagationCommand_1.EnableTransitGatewayRouteTablePropagationCommand,
    EnableVgwRoutePropagationCommand: EnableVgwRoutePropagationCommand_1.EnableVgwRoutePropagationCommand,
    EnableVolumeIOCommand: EnableVolumeIOCommand_1.EnableVolumeIOCommand,
    EnableVpcClassicLinkCommand: EnableVpcClassicLinkCommand_1.EnableVpcClassicLinkCommand,
    EnableVpcClassicLinkDnsSupportCommand: EnableVpcClassicLinkDnsSupportCommand_1.EnableVpcClassicLinkDnsSupportCommand,
    ExportClientVpnClientCertificateRevocationListCommand: ExportClientVpnClientCertificateRevocationListCommand_1.ExportClientVpnClientCertificateRevocationListCommand,
    ExportClientVpnClientConfigurationCommand: ExportClientVpnClientConfigurationCommand_1.ExportClientVpnClientConfigurationCommand,
    ExportImageCommand: ExportImageCommand_1.ExportImageCommand,
    ExportTransitGatewayRoutesCommand: ExportTransitGatewayRoutesCommand_1.ExportTransitGatewayRoutesCommand,
    GetAssociatedEnclaveCertificateIamRolesCommand: GetAssociatedEnclaveCertificateIamRolesCommand_1.GetAssociatedEnclaveCertificateIamRolesCommand,
    GetAssociatedIpv6PoolCidrsCommand: GetAssociatedIpv6PoolCidrsCommand_1.GetAssociatedIpv6PoolCidrsCommand,
    GetAwsNetworkPerformanceDataCommand: GetAwsNetworkPerformanceDataCommand_1.GetAwsNetworkPerformanceDataCommand,
    GetCapacityReservationUsageCommand: GetCapacityReservationUsageCommand_1.GetCapacityReservationUsageCommand,
    GetCoipPoolUsageCommand: GetCoipPoolUsageCommand_1.GetCoipPoolUsageCommand,
    GetConsoleOutputCommand: GetConsoleOutputCommand_1.GetConsoleOutputCommand,
    GetConsoleScreenshotCommand: GetConsoleScreenshotCommand_1.GetConsoleScreenshotCommand,
    GetDefaultCreditSpecificationCommand: GetDefaultCreditSpecificationCommand_1.GetDefaultCreditSpecificationCommand,
    GetEbsDefaultKmsKeyIdCommand: GetEbsDefaultKmsKeyIdCommand_1.GetEbsDefaultKmsKeyIdCommand,
    GetEbsEncryptionByDefaultCommand: GetEbsEncryptionByDefaultCommand_1.GetEbsEncryptionByDefaultCommand,
    GetFlowLogsIntegrationTemplateCommand: GetFlowLogsIntegrationTemplateCommand_1.GetFlowLogsIntegrationTemplateCommand,
    GetGroupsForCapacityReservationCommand: GetGroupsForCapacityReservationCommand_1.GetGroupsForCapacityReservationCommand,
    GetHostReservationPurchasePreviewCommand: GetHostReservationPurchasePreviewCommand_1.GetHostReservationPurchasePreviewCommand,
    GetImageBlockPublicAccessStateCommand: GetImageBlockPublicAccessStateCommand_1.GetImageBlockPublicAccessStateCommand,
    GetInstanceTypesFromInstanceRequirementsCommand: GetInstanceTypesFromInstanceRequirementsCommand_1.GetInstanceTypesFromInstanceRequirementsCommand,
    GetInstanceUefiDataCommand: GetInstanceUefiDataCommand_1.GetInstanceUefiDataCommand,
    GetIpamAddressHistoryCommand: GetIpamAddressHistoryCommand_1.GetIpamAddressHistoryCommand,
    GetIpamDiscoveredAccountsCommand: GetIpamDiscoveredAccountsCommand_1.GetIpamDiscoveredAccountsCommand,
    GetIpamDiscoveredResourceCidrsCommand: GetIpamDiscoveredResourceCidrsCommand_1.GetIpamDiscoveredResourceCidrsCommand,
    GetIpamPoolAllocationsCommand: GetIpamPoolAllocationsCommand_1.GetIpamPoolAllocationsCommand,
    GetIpamPoolCidrsCommand: GetIpamPoolCidrsCommand_1.GetIpamPoolCidrsCommand,
    GetIpamResourceCidrsCommand: GetIpamResourceCidrsCommand_1.GetIpamResourceCidrsCommand,
    GetLaunchTemplateDataCommand: GetLaunchTemplateDataCommand_1.GetLaunchTemplateDataCommand,
    GetManagedPrefixListAssociationsCommand: GetManagedPrefixListAssociationsCommand_1.GetManagedPrefixListAssociationsCommand,
    GetManagedPrefixListEntriesCommand: GetManagedPrefixListEntriesCommand_1.GetManagedPrefixListEntriesCommand,
    GetNetworkInsightsAccessScopeAnalysisFindingsCommand: GetNetworkInsightsAccessScopeAnalysisFindingsCommand_1.GetNetworkInsightsAccessScopeAnalysisFindingsCommand,
    GetNetworkInsightsAccessScopeContentCommand: GetNetworkInsightsAccessScopeContentCommand_1.GetNetworkInsightsAccessScopeContentCommand,
    GetPasswordDataCommand: GetPasswordDataCommand_1.GetPasswordDataCommand,
    GetReservedInstancesExchangeQuoteCommand: GetReservedInstancesExchangeQuoteCommand_1.GetReservedInstancesExchangeQuoteCommand,
    GetSerialConsoleAccessStatusCommand: GetSerialConsoleAccessStatusCommand_1.GetSerialConsoleAccessStatusCommand,
    GetSpotPlacementScoresCommand: GetSpotPlacementScoresCommand_1.GetSpotPlacementScoresCommand,
    GetSubnetCidrReservationsCommand: GetSubnetCidrReservationsCommand_1.GetSubnetCidrReservationsCommand,
    GetTransitGatewayAttachmentPropagationsCommand: GetTransitGatewayAttachmentPropagationsCommand_1.GetTransitGatewayAttachmentPropagationsCommand,
    GetTransitGatewayMulticastDomainAssociationsCommand: GetTransitGatewayMulticastDomainAssociationsCommand_1.GetTransitGatewayMulticastDomainAssociationsCommand,
    GetTransitGatewayPolicyTableAssociationsCommand: GetTransitGatewayPolicyTableAssociationsCommand_1.GetTransitGatewayPolicyTableAssociationsCommand,
    GetTransitGatewayPolicyTableEntriesCommand: GetTransitGatewayPolicyTableEntriesCommand_1.GetTransitGatewayPolicyTableEntriesCommand,
    GetTransitGatewayPrefixListReferencesCommand: GetTransitGatewayPrefixListReferencesCommand_1.GetTransitGatewayPrefixListReferencesCommand,
    GetTransitGatewayRouteTableAssociationsCommand: GetTransitGatewayRouteTableAssociationsCommand_1.GetTransitGatewayRouteTableAssociationsCommand,
    GetTransitGatewayRouteTablePropagationsCommand: GetTransitGatewayRouteTablePropagationsCommand_1.GetTransitGatewayRouteTablePropagationsCommand,
    GetVerifiedAccessEndpointPolicyCommand: GetVerifiedAccessEndpointPolicyCommand_1.GetVerifiedAccessEndpointPolicyCommand,
    GetVerifiedAccessGroupPolicyCommand: GetVerifiedAccessGroupPolicyCommand_1.GetVerifiedAccessGroupPolicyCommand,
    GetVpnConnectionDeviceSampleConfigurationCommand: GetVpnConnectionDeviceSampleConfigurationCommand_1.GetVpnConnectionDeviceSampleConfigurationCommand,
    GetVpnConnectionDeviceTypesCommand: GetVpnConnectionDeviceTypesCommand_1.GetVpnConnectionDeviceTypesCommand,
    GetVpnTunnelReplacementStatusCommand: GetVpnTunnelReplacementStatusCommand_1.GetVpnTunnelReplacementStatusCommand,
    ImportClientVpnClientCertificateRevocationListCommand: ImportClientVpnClientCertificateRevocationListCommand_1.ImportClientVpnClientCertificateRevocationListCommand,
    ImportImageCommand: ImportImageCommand_1.ImportImageCommand,
    ImportInstanceCommand: ImportInstanceCommand_1.ImportInstanceCommand,
    ImportKeyPairCommand: ImportKeyPairCommand_1.ImportKeyPairCommand,
    ImportSnapshotCommand: ImportSnapshotCommand_1.ImportSnapshotCommand,
    ImportVolumeCommand: ImportVolumeCommand_1.ImportVolumeCommand,
    ListImagesInRecycleBinCommand: ListImagesInRecycleBinCommand_1.ListImagesInRecycleBinCommand,
    ListSnapshotsInRecycleBinCommand: ListSnapshotsInRecycleBinCommand_1.ListSnapshotsInRecycleBinCommand,
    ModifyAddressAttributeCommand: ModifyAddressAttributeCommand_1.ModifyAddressAttributeCommand,
    ModifyAvailabilityZoneGroupCommand: ModifyAvailabilityZoneGroupCommand_1.ModifyAvailabilityZoneGroupCommand,
    ModifyCapacityReservationCommand: ModifyCapacityReservationCommand_1.ModifyCapacityReservationCommand,
    ModifyCapacityReservationFleetCommand: ModifyCapacityReservationFleetCommand_1.ModifyCapacityReservationFleetCommand,
    ModifyClientVpnEndpointCommand: ModifyClientVpnEndpointCommand_1.ModifyClientVpnEndpointCommand,
    ModifyDefaultCreditSpecificationCommand: ModifyDefaultCreditSpecificationCommand_1.ModifyDefaultCreditSpecificationCommand,
    ModifyEbsDefaultKmsKeyIdCommand: ModifyEbsDefaultKmsKeyIdCommand_1.ModifyEbsDefaultKmsKeyIdCommand,
    ModifyFleetCommand: ModifyFleetCommand_1.ModifyFleetCommand,
    ModifyFpgaImageAttributeCommand: ModifyFpgaImageAttributeCommand_1.ModifyFpgaImageAttributeCommand,
    ModifyHostsCommand: ModifyHostsCommand_1.ModifyHostsCommand,
    ModifyIdentityIdFormatCommand: ModifyIdentityIdFormatCommand_1.ModifyIdentityIdFormatCommand,
    ModifyIdFormatCommand: ModifyIdFormatCommand_1.ModifyIdFormatCommand,
    ModifyImageAttributeCommand: ModifyImageAttributeCommand_1.ModifyImageAttributeCommand,
    ModifyInstanceAttributeCommand: ModifyInstanceAttributeCommand_1.ModifyInstanceAttributeCommand,
    ModifyInstanceCapacityReservationAttributesCommand: ModifyInstanceCapacityReservationAttributesCommand_1.ModifyInstanceCapacityReservationAttributesCommand,
    ModifyInstanceCreditSpecificationCommand: ModifyInstanceCreditSpecificationCommand_1.ModifyInstanceCreditSpecificationCommand,
    ModifyInstanceEventStartTimeCommand: ModifyInstanceEventStartTimeCommand_1.ModifyInstanceEventStartTimeCommand,
    ModifyInstanceEventWindowCommand: ModifyInstanceEventWindowCommand_1.ModifyInstanceEventWindowCommand,
    ModifyInstanceMaintenanceOptionsCommand: ModifyInstanceMaintenanceOptionsCommand_1.ModifyInstanceMaintenanceOptionsCommand,
    ModifyInstanceMetadataOptionsCommand: ModifyInstanceMetadataOptionsCommand_1.ModifyInstanceMetadataOptionsCommand,
    ModifyInstancePlacementCommand: ModifyInstancePlacementCommand_1.ModifyInstancePlacementCommand,
    ModifyIpamCommand: ModifyIpamCommand_1.ModifyIpamCommand,
    ModifyIpamPoolCommand: ModifyIpamPoolCommand_1.ModifyIpamPoolCommand,
    ModifyIpamResourceCidrCommand: ModifyIpamResourceCidrCommand_1.ModifyIpamResourceCidrCommand,
    ModifyIpamResourceDiscoveryCommand: ModifyIpamResourceDiscoveryCommand_1.ModifyIpamResourceDiscoveryCommand,
    ModifyIpamScopeCommand: ModifyIpamScopeCommand_1.ModifyIpamScopeCommand,
    ModifyLaunchTemplateCommand: ModifyLaunchTemplateCommand_1.ModifyLaunchTemplateCommand,
    ModifyLocalGatewayRouteCommand: ModifyLocalGatewayRouteCommand_1.ModifyLocalGatewayRouteCommand,
    ModifyManagedPrefixListCommand: ModifyManagedPrefixListCommand_1.ModifyManagedPrefixListCommand,
    ModifyNetworkInterfaceAttributeCommand: ModifyNetworkInterfaceAttributeCommand_1.ModifyNetworkInterfaceAttributeCommand,
    ModifyPrivateDnsNameOptionsCommand: ModifyPrivateDnsNameOptionsCommand_1.ModifyPrivateDnsNameOptionsCommand,
    ModifyReservedInstancesCommand: ModifyReservedInstancesCommand_1.ModifyReservedInstancesCommand,
    ModifySecurityGroupRulesCommand: ModifySecurityGroupRulesCommand_1.ModifySecurityGroupRulesCommand,
    ModifySnapshotAttributeCommand: ModifySnapshotAttributeCommand_1.ModifySnapshotAttributeCommand,
    ModifySnapshotTierCommand: ModifySnapshotTierCommand_1.ModifySnapshotTierCommand,
    ModifySpotFleetRequestCommand: ModifySpotFleetRequestCommand_1.ModifySpotFleetRequestCommand,
    ModifySubnetAttributeCommand: ModifySubnetAttributeCommand_1.ModifySubnetAttributeCommand,
    ModifyTrafficMirrorFilterNetworkServicesCommand: ModifyTrafficMirrorFilterNetworkServicesCommand_1.ModifyTrafficMirrorFilterNetworkServicesCommand,
    ModifyTrafficMirrorFilterRuleCommand: ModifyTrafficMirrorFilterRuleCommand_1.ModifyTrafficMirrorFilterRuleCommand,
    ModifyTrafficMirrorSessionCommand: ModifyTrafficMirrorSessionCommand_1.ModifyTrafficMirrorSessionCommand,
    ModifyTransitGatewayCommand: ModifyTransitGatewayCommand_1.ModifyTransitGatewayCommand,
    ModifyTransitGatewayPrefixListReferenceCommand: ModifyTransitGatewayPrefixListReferenceCommand_1.ModifyTransitGatewayPrefixListReferenceCommand,
    ModifyTransitGatewayVpcAttachmentCommand: ModifyTransitGatewayVpcAttachmentCommand_1.ModifyTransitGatewayVpcAttachmentCommand,
    ModifyVerifiedAccessEndpointCommand: ModifyVerifiedAccessEndpointCommand_1.ModifyVerifiedAccessEndpointCommand,
    ModifyVerifiedAccessEndpointPolicyCommand: ModifyVerifiedAccessEndpointPolicyCommand_1.ModifyVerifiedAccessEndpointPolicyCommand,
    ModifyVerifiedAccessGroupCommand: ModifyVerifiedAccessGroupCommand_1.ModifyVerifiedAccessGroupCommand,
    ModifyVerifiedAccessGroupPolicyCommand: ModifyVerifiedAccessGroupPolicyCommand_1.ModifyVerifiedAccessGroupPolicyCommand,
    ModifyVerifiedAccessInstanceCommand: ModifyVerifiedAccessInstanceCommand_1.ModifyVerifiedAccessInstanceCommand,
    ModifyVerifiedAccessInstanceLoggingConfigurationCommand: ModifyVerifiedAccessInstanceLoggingConfigurationCommand_1.ModifyVerifiedAccessInstanceLoggingConfigurationCommand,
    ModifyVerifiedAccessTrustProviderCommand: ModifyVerifiedAccessTrustProviderCommand_1.ModifyVerifiedAccessTrustProviderCommand,
    ModifyVolumeCommand: ModifyVolumeCommand_1.ModifyVolumeCommand,
    ModifyVolumeAttributeCommand: ModifyVolumeAttributeCommand_1.ModifyVolumeAttributeCommand,
    ModifyVpcAttributeCommand: ModifyVpcAttributeCommand_1.ModifyVpcAttributeCommand,
    ModifyVpcEndpointCommand: ModifyVpcEndpointCommand_1.ModifyVpcEndpointCommand,
    ModifyVpcEndpointConnectionNotificationCommand: ModifyVpcEndpointConnectionNotificationCommand_1.ModifyVpcEndpointConnectionNotificationCommand,
    ModifyVpcEndpointServiceConfigurationCommand: ModifyVpcEndpointServiceConfigurationCommand_1.ModifyVpcEndpointServiceConfigurationCommand,
    ModifyVpcEndpointServicePayerResponsibilityCommand: ModifyVpcEndpointServicePayerResponsibilityCommand_1.ModifyVpcEndpointServicePayerResponsibilityCommand,
    ModifyVpcEndpointServicePermissionsCommand: ModifyVpcEndpointServicePermissionsCommand_1.ModifyVpcEndpointServicePermissionsCommand,
    ModifyVpcPeeringConnectionOptionsCommand: ModifyVpcPeeringConnectionOptionsCommand_1.ModifyVpcPeeringConnectionOptionsCommand,
    ModifyVpcTenancyCommand: ModifyVpcTenancyCommand_1.ModifyVpcTenancyCommand,
    ModifyVpnConnectionCommand: ModifyVpnConnectionCommand_1.ModifyVpnConnectionCommand,
    ModifyVpnConnectionOptionsCommand: ModifyVpnConnectionOptionsCommand_1.ModifyVpnConnectionOptionsCommand,
    ModifyVpnTunnelCertificateCommand: ModifyVpnTunnelCertificateCommand_1.ModifyVpnTunnelCertificateCommand,
    ModifyVpnTunnelOptionsCommand: ModifyVpnTunnelOptionsCommand_1.ModifyVpnTunnelOptionsCommand,
    MonitorInstancesCommand: MonitorInstancesCommand_1.MonitorInstancesCommand,
    MoveAddressToVpcCommand: MoveAddressToVpcCommand_1.MoveAddressToVpcCommand,
    MoveByoipCidrToIpamCommand: MoveByoipCidrToIpamCommand_1.MoveByoipCidrToIpamCommand,
    ProvisionByoipCidrCommand: ProvisionByoipCidrCommand_1.ProvisionByoipCidrCommand,
    ProvisionIpamPoolCidrCommand: ProvisionIpamPoolCidrCommand_1.ProvisionIpamPoolCidrCommand,
    ProvisionPublicIpv4PoolCidrCommand: ProvisionPublicIpv4PoolCidrCommand_1.ProvisionPublicIpv4PoolCidrCommand,
    PurchaseHostReservationCommand: PurchaseHostReservationCommand_1.PurchaseHostReservationCommand,
    PurchaseReservedInstancesOfferingCommand: PurchaseReservedInstancesOfferingCommand_1.PurchaseReservedInstancesOfferingCommand,
    PurchaseScheduledInstancesCommand: PurchaseScheduledInstancesCommand_1.PurchaseScheduledInstancesCommand,
    RebootInstancesCommand: RebootInstancesCommand_1.RebootInstancesCommand,
    RegisterImageCommand: RegisterImageCommand_1.RegisterImageCommand,
    RegisterInstanceEventNotificationAttributesCommand: RegisterInstanceEventNotificationAttributesCommand_1.RegisterInstanceEventNotificationAttributesCommand,
    RegisterTransitGatewayMulticastGroupMembersCommand: RegisterTransitGatewayMulticastGroupMembersCommand_1.RegisterTransitGatewayMulticastGroupMembersCommand,
    RegisterTransitGatewayMulticastGroupSourcesCommand: RegisterTransitGatewayMulticastGroupSourcesCommand_1.RegisterTransitGatewayMulticastGroupSourcesCommand,
    RejectTransitGatewayMulticastDomainAssociationsCommand: RejectTransitGatewayMulticastDomainAssociationsCommand_1.RejectTransitGatewayMulticastDomainAssociationsCommand,
    RejectTransitGatewayPeeringAttachmentCommand: RejectTransitGatewayPeeringAttachmentCommand_1.RejectTransitGatewayPeeringAttachmentCommand,
    RejectTransitGatewayVpcAttachmentCommand: RejectTransitGatewayVpcAttachmentCommand_1.RejectTransitGatewayVpcAttachmentCommand,
    RejectVpcEndpointConnectionsCommand: RejectVpcEndpointConnectionsCommand_1.RejectVpcEndpointConnectionsCommand,
    RejectVpcPeeringConnectionCommand: RejectVpcPeeringConnectionCommand_1.RejectVpcPeeringConnectionCommand,
    ReleaseAddressCommand: ReleaseAddressCommand_1.ReleaseAddressCommand,
    ReleaseHostsCommand: ReleaseHostsCommand_1.ReleaseHostsCommand,
    ReleaseIpamPoolAllocationCommand: ReleaseIpamPoolAllocationCommand_1.ReleaseIpamPoolAllocationCommand,
    ReplaceIamInstanceProfileAssociationCommand: ReplaceIamInstanceProfileAssociationCommand_1.ReplaceIamInstanceProfileAssociationCommand,
    ReplaceNetworkAclAssociationCommand: ReplaceNetworkAclAssociationCommand_1.ReplaceNetworkAclAssociationCommand,
    ReplaceNetworkAclEntryCommand: ReplaceNetworkAclEntryCommand_1.ReplaceNetworkAclEntryCommand,
    ReplaceRouteCommand: ReplaceRouteCommand_1.ReplaceRouteCommand,
    ReplaceRouteTableAssociationCommand: ReplaceRouteTableAssociationCommand_1.ReplaceRouteTableAssociationCommand,
    ReplaceTransitGatewayRouteCommand: ReplaceTransitGatewayRouteCommand_1.ReplaceTransitGatewayRouteCommand,
    ReplaceVpnTunnelCommand: ReplaceVpnTunnelCommand_1.ReplaceVpnTunnelCommand,
    ReportInstanceStatusCommand: ReportInstanceStatusCommand_1.ReportInstanceStatusCommand,
    RequestSpotFleetCommand: RequestSpotFleetCommand_1.RequestSpotFleetCommand,
    RequestSpotInstancesCommand: RequestSpotInstancesCommand_1.RequestSpotInstancesCommand,
    ResetAddressAttributeCommand: ResetAddressAttributeCommand_1.ResetAddressAttributeCommand,
    ResetEbsDefaultKmsKeyIdCommand: ResetEbsDefaultKmsKeyIdCommand_1.ResetEbsDefaultKmsKeyIdCommand,
    ResetFpgaImageAttributeCommand: ResetFpgaImageAttributeCommand_1.ResetFpgaImageAttributeCommand,
    ResetImageAttributeCommand: ResetImageAttributeCommand_1.ResetImageAttributeCommand,
    ResetInstanceAttributeCommand: ResetInstanceAttributeCommand_1.ResetInstanceAttributeCommand,
    ResetNetworkInterfaceAttributeCommand: ResetNetworkInterfaceAttributeCommand_1.ResetNetworkInterfaceAttributeCommand,
    ResetSnapshotAttributeCommand: ResetSnapshotAttributeCommand_1.ResetSnapshotAttributeCommand,
    RestoreAddressToClassicCommand: RestoreAddressToClassicCommand_1.RestoreAddressToClassicCommand,
    RestoreImageFromRecycleBinCommand: RestoreImageFromRecycleBinCommand_1.RestoreImageFromRecycleBinCommand,
    RestoreManagedPrefixListVersionCommand: RestoreManagedPrefixListVersionCommand_1.RestoreManagedPrefixListVersionCommand,
    RestoreSnapshotFromRecycleBinCommand: RestoreSnapshotFromRecycleBinCommand_1.RestoreSnapshotFromRecycleBinCommand,
    RestoreSnapshotTierCommand: RestoreSnapshotTierCommand_1.RestoreSnapshotTierCommand,
    RevokeClientVpnIngressCommand: RevokeClientVpnIngressCommand_1.RevokeClientVpnIngressCommand,
    RevokeSecurityGroupEgressCommand: RevokeSecurityGroupEgressCommand_1.RevokeSecurityGroupEgressCommand,
    RevokeSecurityGroupIngressCommand: RevokeSecurityGroupIngressCommand_1.RevokeSecurityGroupIngressCommand,
    RunInstancesCommand: RunInstancesCommand_1.RunInstancesCommand,
    RunScheduledInstancesCommand: RunScheduledInstancesCommand_1.RunScheduledInstancesCommand,
    SearchLocalGatewayRoutesCommand: SearchLocalGatewayRoutesCommand_1.SearchLocalGatewayRoutesCommand,
    SearchTransitGatewayMulticastGroupsCommand: SearchTransitGatewayMulticastGroupsCommand_1.SearchTransitGatewayMulticastGroupsCommand,
    SearchTransitGatewayRoutesCommand: SearchTransitGatewayRoutesCommand_1.SearchTransitGatewayRoutesCommand,
    SendDiagnosticInterruptCommand: SendDiagnosticInterruptCommand_1.SendDiagnosticInterruptCommand,
    StartInstancesCommand: StartInstancesCommand_1.StartInstancesCommand,
    StartNetworkInsightsAccessScopeAnalysisCommand: StartNetworkInsightsAccessScopeAnalysisCommand_1.StartNetworkInsightsAccessScopeAnalysisCommand,
    StartNetworkInsightsAnalysisCommand: StartNetworkInsightsAnalysisCommand_1.StartNetworkInsightsAnalysisCommand,
    StartVpcEndpointServicePrivateDnsVerificationCommand: StartVpcEndpointServicePrivateDnsVerificationCommand_1.StartVpcEndpointServicePrivateDnsVerificationCommand,
    StopInstancesCommand: StopInstancesCommand_1.StopInstancesCommand,
    TerminateClientVpnConnectionsCommand: TerminateClientVpnConnectionsCommand_1.TerminateClientVpnConnectionsCommand,
    TerminateInstancesCommand: TerminateInstancesCommand_1.TerminateInstancesCommand,
    UnassignIpv6AddressesCommand: UnassignIpv6AddressesCommand_1.UnassignIpv6AddressesCommand,
    UnassignPrivateIpAddressesCommand: UnassignPrivateIpAddressesCommand_1.UnassignPrivateIpAddressesCommand,
    UnassignPrivateNatGatewayAddressCommand: UnassignPrivateNatGatewayAddressCommand_1.UnassignPrivateNatGatewayAddressCommand,
    UnmonitorInstancesCommand: UnmonitorInstancesCommand_1.UnmonitorInstancesCommand,
    UpdateSecurityGroupRuleDescriptionsEgressCommand: UpdateSecurityGroupRuleDescriptionsEgressCommand_1.UpdateSecurityGroupRuleDescriptionsEgressCommand,
    UpdateSecurityGroupRuleDescriptionsIngressCommand: UpdateSecurityGroupRuleDescriptionsIngressCommand_1.UpdateSecurityGroupRuleDescriptionsIngressCommand,
    WithdrawByoipCidrCommand: WithdrawByoipCidrCommand_1.WithdrawByoipCidrCommand,
};
class EC2 extends EC2Client_1.EC2Client {
}
exports.EC2 = EC2;
(0, smithy_client_1.createAggregatedClient)(commands, EC2);
