"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetPasswordDataResultFilterSensitiveLog = exports.GetLaunchTemplateDataResultFilterSensitiveLog = exports.DetachVerifiedAccessTrustProviderResultFilterSensitiveLog = exports.DescribeVpnConnectionsResultFilterSensitiveLog = exports.DescribeVerifiedAccessTrustProvidersResultFilterSensitiveLog = exports.IpamManagementState = exports.IpamResourceType = exports.IpamDiscoveryFailureCode = exports.IpamAddressHistoryResourceType = exports.IpamOverlapStatus = exports.IpamComplianceStatus = exports.PartitionLoadFrequency = exports.UnlimitedSupportedInstanceFamily = exports.ClientCertificateRevocationListStatusCode = exports.ImageBlockPublicAccessEnabledState = exports.TransitGatewayPropagationState = exports.ImageBlockPublicAccessDisabledState = exports.VpcAttributeName = exports.VolumeStatusInfoStatus = exports.VolumeStatusName = exports.VolumeModificationState = exports.VolumeAttributeName = exports.VerifiedAccessLogDeliveryStatusCode = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const models_0_1 = require("./models_0");
const models_1_1 = require("./models_1");
const models_2_1 = require("./models_2");
exports.VerifiedAccessLogDeliveryStatusCode = {
    FAILED: "failed",
    SUCCESS: "success",
};
exports.VolumeAttributeName = {
    autoEnableIO: "autoEnableIO",
    productCodes: "productCodes",
};
exports.VolumeModificationState = {
    completed: "completed",
    failed: "failed",
    modifying: "modifying",
    optimizing: "optimizing",
};
exports.VolumeStatusName = {
    io_enabled: "io-enabled",
    io_performance: "io-performance",
};
exports.VolumeStatusInfoStatus = {
    impaired: "impaired",
    insufficient_data: "insufficient-data",
    ok: "ok",
};
exports.VpcAttributeName = {
    enableDnsHostnames: "enableDnsHostnames",
    enableDnsSupport: "enableDnsSupport",
    enableNetworkAddressUsageMetrics: "enableNetworkAddressUsageMetrics",
};
exports.ImageBlockPublicAccessDisabledState = {
    unblocked: "unblocked",
};
exports.TransitGatewayPropagationState = {
    disabled: "disabled",
    disabling: "disabling",
    enabled: "enabled",
    enabling: "enabling",
};
exports.ImageBlockPublicAccessEnabledState = {
    block_new_sharing: "block-new-sharing",
};
exports.ClientCertificateRevocationListStatusCode = {
    active: "active",
    pending: "pending",
};
exports.UnlimitedSupportedInstanceFamily = {
    t2: "t2",
    t3: "t3",
    t3a: "t3a",
    t4g: "t4g",
};
exports.PartitionLoadFrequency = {
    DAILY: "daily",
    MONTHLY: "monthly",
    NONE: "none",
    WEEKLY: "weekly",
};
exports.IpamComplianceStatus = {
    compliant: "compliant",
    ignored: "ignored",
    noncompliant: "noncompliant",
    unmanaged: "unmanaged",
};
exports.IpamOverlapStatus = {
    ignored: "ignored",
    nonoverlapping: "nonoverlapping",
    overlapping: "overlapping",
};
exports.IpamAddressHistoryResourceType = {
    eip: "eip",
    instance: "instance",
    network_interface: "network-interface",
    subnet: "subnet",
    vpc: "vpc",
};
exports.IpamDiscoveryFailureCode = {
    assume_role_failure: "assume-role-failure",
    throttling_failure: "throttling-failure",
    unauthorized_failure: "unauthorized-failure",
};
exports.IpamResourceType = {
    eip: "eip",
    ipv6_pool: "ipv6-pool",
    public_ipv4_pool: "public-ipv4-pool",
    subnet: "subnet",
    vpc: "vpc",
};
exports.IpamManagementState = {
    ignored: "ignored",
    managed: "managed",
    unmanaged: "unmanaged",
};
const DescribeVerifiedAccessTrustProvidersResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VerifiedAccessTrustProviders && {
        VerifiedAccessTrustProviders: obj.VerifiedAccessTrustProviders.map((item) => (0, models_0_1.VerifiedAccessTrustProviderFilterSensitiveLog)(item)),
    }),
});
exports.DescribeVerifiedAccessTrustProvidersResultFilterSensitiveLog = DescribeVerifiedAccessTrustProvidersResultFilterSensitiveLog;
const DescribeVpnConnectionsResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VpnConnections && {
        VpnConnections: obj.VpnConnections.map((item) => (0, models_2_1.VpnConnectionFilterSensitiveLog)(item)),
    }),
});
exports.DescribeVpnConnectionsResultFilterSensitiveLog = DescribeVpnConnectionsResultFilterSensitiveLog;
const DetachVerifiedAccessTrustProviderResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VerifiedAccessTrustProvider && {
        VerifiedAccessTrustProvider: (0, models_0_1.VerifiedAccessTrustProviderFilterSensitiveLog)(obj.VerifiedAccessTrustProvider),
    }),
});
exports.DetachVerifiedAccessTrustProviderResultFilterSensitiveLog = DetachVerifiedAccessTrustProviderResultFilterSensitiveLog;
const GetLaunchTemplateDataResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.LaunchTemplateData && {
        LaunchTemplateData: (0, models_1_1.ResponseLaunchTemplateDataFilterSensitiveLog)(obj.LaunchTemplateData),
    }),
});
exports.GetLaunchTemplateDataResultFilterSensitiveLog = GetLaunchTemplateDataResultFilterSensitiveLog;
const GetPasswordDataResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PasswordData && { PasswordData: smithy_client_1.SENSITIVE_STRING }),
});
exports.GetPasswordDataResultFilterSensitiveLog = GetPasswordDataResultFilterSensitiveLog;
