import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisableImageBlockPublicAccessRequest,
  DisableImageBlockPublicAccessResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisableImageBlockPublicAccessCommandInput
  extends DisableImageBlockPublicAccessRequest {}
export interface DisableImageBlockPublicAccessCommandOutput
  extends DisableImageBlockPublicAccessResult,
    __MetadataBearer {}
export declare class DisableImageBlockPublicAccessCommand extends $Command<
  DisableImageBlockPublicAccessCommandInput,
  DisableImageBlockPublicAccessCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableImageBlockPublicAccessCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableImageBlockPublicAccessCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableImageBlockPublicAccessCommandInput,
    DisableImageBlockPublicAccessCommandOutput
  >;
  private serialize;
  private deserialize;
}
