import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetImageBlockPublicAccessStateRequest,
  GetImageBlockPublicAccessStateResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface GetImageBlockPublicAccessStateCommandInput
  extends GetImageBlockPublicAccessStateRequest {}
export interface GetImageBlockPublicAccessStateCommandOutput
  extends GetImageBlockPublicAccessStateResult,
    __MetadataBearer {}
export declare class GetImageBlockPublicAccessStateCommand extends $Command<
  GetImageBlockPublicAccessStateCommandInput,
  GetImageBlockPublicAccessStateCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetImageBlockPublicAccessStateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetImageBlockPublicAccessStateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetImageBlockPublicAccessStateCommandInput,
    GetImageBlockPublicAccessStateCommandOutput
  >;
  private serialize;
  private deserialize;
}
