import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetVpnTunnelReplacementStatusRequest,
  GetVpnTunnelReplacementStatusResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface GetVpnTunnelReplacementStatusCommandInput
  extends GetVpnTunnelReplacementStatusRequest {}
export interface GetVpnTunnelReplacementStatusCommandOutput
  extends GetVpnTunnelReplacementStatusResult,
    __MetadataBearer {}
export declare class GetVpnTunnelReplacementStatusCommand extends $Command<
  GetVpnTunnelReplacementStatusCommandInput,
  GetVpnTunnelReplacementStatusCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetVpnTunnelReplacementStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetVpnTunnelReplacementStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetVpnTunnelReplacementStatusCommandInput,
    GetVpnTunnelReplacementStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
